package com.emato.ccnet;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.support.SpringBootServletInitializer;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@SpringBootApplication(
		exclude ={
				// 多数据源,不使用自动配置
				DataSourceAutoConfiguration.class
		}
)
//允许事务
@EnableScheduling
@EnableTransactionManagement
public class CcnetApplication extends SpringBootServletInitializer {

	@Override
	protected SpringApplicationBuilder configure(SpringApplicationBuilder application) {
		return application.sources(CcnetApplication.class);
	}

	public static void main(String[] args) {
		SpringApplication.run(CcnetApplication.class, args);
	}
}
