package com.emato.ccnet.biz.req.order.csp;

import com.emato.ccnet.biz.req.CebReqAddDate;
import com.emato.ccnet.msg.ResponseMessage;
import com.emato.ccnet.service.ccent.CusOrderService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Component
@Transactional(value = "secondTransactionManager")
public class Ceb311OrderAddDate implements CebReqAddDate {
    private static final Logger LOGGER = LoggerFactory.getLogger(Ceb311OrderAddDate.class);
    @Autowired
    private CusOrderService cusOrderService;

    /**
     * 批量增加记录
     * @param list
     * @return
     */
    @Override
    public ResponseMessage addDate(List list) {
        //初始化批量电子订单记录新增
        int addCuspayment = cusOrderService.addCusOrder(list);
        if(addCuspayment <= 0){
            String info = "初始化批量电子订单记录新增失败";
            LOGGER.error("--- {}", info);
            return ResponseMessage.failed();
        }
        return ResponseMessage.success();
    }
}
