package com.emato.ccnet.biz.req.pay.alipay;

import com.emato.ccnet.biz.req.CebReqAddDate;
import com.emato.ccnet.msg.ResponseMessage;
import com.emato.ccnet.service.ccent.CusPaymentCollectService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 增加支付表数据
 */
@Component
@Transactional(value = "secondTransactionManager")
public class Ceb411AlipayAddData implements CebReqAddDate {
    private static final Logger LOGGER = LoggerFactory.getLogger(Ceb411AlipayAddData.class);
    @Autowired
    private CusPaymentCollectService cusPaymentCollectService;

    /**
     * 添加支付表数据
     * @param list
     * @return
     */
    @Override
    public ResponseMessage addDate(List list) {

        //初始化批量海关支付单记录新增
        int addCuspayment = cusPaymentCollectService.addCusPaymentCollect(list);
        if(addCuspayment <= 0){
            String info = "初始化批量海关支付单记录新增失败";
            LOGGER.error("--- {}", info);
            return ResponseMessage.failed();
        }
        return ResponseMessage.success();
    }
}

