package com.emato.ccnet.biz.req.pay.alipay;

import com.emato.ccnet.biz.req.CebReqSendDateAfter;
import com.emato.ccnet.contants.Contants;
import com.emato.ccnet.service.ccent.CusAlipayStatusService;
import com.emato.ccnet.service.kmall.KmallOrderService;
import com.google.common.collect.ImmutableMap;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Component
public class Ceb411SendDateAfter implements CebReqSendDateAfter {
    private static final Logger LOGGER = LoggerFactory.getLogger(Ceb411SendDateAfter.class);

    @Autowired
    private CusAlipayStatusService cusAlipayStatusService;

    @Autowired
    private KmallOrderService kmallOrderService;

    /**
     *  状态修改
     * @param sucList
     * @param failedList
     * @return
     */
    @Override
    public boolean afterSend(List<String> sucList, List<String> failedList) {
        List<Map<String, Object>> sucs = new ArrayList<>();
        List<Map<String, Object>> faileds = new ArrayList<>();
        List<Map<String, Object>> kmallcucs = new ArrayList<>();
        List<Map<String, Object>> kmallFaileds = new ArrayList<>();
        //全部处理完后
        if (sucList.size() > 0) {
            LOGGER.info("--- 【CEB411】更新【成功】报文订单记录......");
            sucList.stream().forEach(x->{
                Map<String, Object> map = ImmutableMap.of("orderSn", x, "sendStatus", Contants.SUCCESS_STATUS);
                Map<String, Object> kmallMap = ImmutableMap.of("orderNo", x, "cusPayBillFlag", Contants.SUCCESS_STATUS);
                sucs.add(map);
                kmallcucs.add(kmallMap);
            });
            if(sucs.size() > 0){
                cusAlipayStatusService.updateCusAlipayStatusBatch(sucs);
            }
            //kmall中的支付单修改为待发送
            if (kmallcucs.size() > 0) {
                kmallOrderService.updateCusKmallOrderStatusBatch(kmallcucs);
            }
        }

        if (failedList.size() > 0) {
            LOGGER.info("--- 【CEB411】更新【失败】报文订单记录......");
            failedList.stream().forEach(x->{
                Map<String, Object> map = ImmutableMap.of("orderSn", x, "sendStatus", Contants.FAIL_STATUS);
                Map<String, Object> kmallMap = ImmutableMap.of("orderNo", x, "cusPayBillFlag", Contants.FAIL_STATUS);
                faileds.add(map);
                kmallFaileds.add(kmallMap);
            });
            //ccnet中的支付订单修改为失败
            if (faileds.size() > 0) {
                cusAlipayStatusService.updateCusAlipayStatusBatch(faileds);
            }

            //kmall中的支付单修改为待发送
            if (kmallFaileds.size() > 0) {
                kmallOrderService.updateCusKmallOrderStatusBatch(kmallFaileds);
            }

        }


        return true;
    }
}
