package com.emato.ccnet.biz.req.pay.icbc;

import com.emato.ccnet.biz.req.CebReqGetDate;
import com.emato.ccnet.domain.kmall.PayBill;
import com.emato.ccnet.service.kmall.KmallOrderService;
import com.google.common.collect.ImmutableMap;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Map;

/**
 * 海关支付单 数据
 * @author Scott Chen
 * @version 1.0
 * 2017-11-07 10:21
 */
@Component
public class Ceb411PayBillData implements CebReqGetDate {
    private static final Logger LOGGER = LoggerFactory.getLogger(CebReqGetDate.class);

    @Autowired
    private KmallOrderService kmallOrderService;

    @Override
    public List getData(Map<String, Object> param) {
        //取支付单数据
        List<PayBill> list = kmallOrderService.getIcbcPayBills(param);
        if (list == null || list.size() == 0) {
            return Collections.emptyList();
        }

        //更新取出支付单状态
        List<Map<String, Object>> updateList = new ArrayList<>();
        list.stream().forEach(x->{
            Map<String, Object> map = ImmutableMap.of("orderNo", x.getOrderNo(), "cusPayBillFlag", "1");
            updateList.add(map);
        });
        if (updateList.size() > 0) {
            kmallOrderService.updateCusKmallOrderStatusBatch(updateList);
        }
        return list;
    }
}
