package com.emato.ccnet.controller;

import com.emato.ccnet.biz.req.order.csp.Ceb311OrderBiz;
import com.emato.ccnet.biz.req.order.csp.Ceb311SendDateRequet;
import com.emato.ccnet.biz.req.pay.alipay.Ceb411AlipayBiz;
import com.emato.ccnet.biz.req.pay.icbc.Ceb411PayBillBiz;
import com.emato.ccnet.biz.req.waybill.oms.Ceb511OmsWayBiz;
import com.emato.ccnet.msg.ResponseMessage;
import com.google.common.collect.ImmutableMap;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * @author Scott Chen
 * @version 1.0
 * 2017-11-04 17:55
 */
@RestController
public class KmallOrderController {
    private static final Logger logger = LoggerFactory.getLogger(KmallOrderController.class);

    @Autowired
    private Ceb411AlipayBiz ceb411AlipayBiz;

    @Autowired
    private Ceb411PayBillBiz ceb411PayBillBiz;

    @Autowired
    private Ceb311OrderBiz ceb311OrderBiz;

    @Autowired
    private Ceb311SendDateRequet ceb311SendDateRequet;

    @Autowired
    private Ceb511OmsWayBiz ceb511OmsWayBiz;
    /**
     * 电子订单运单数据
     * @return
     */
    @RequestMapping(value="/kmall/cusOrderWaybill")
    public ResponseMessage cusOrderWaybill() {
        logger.info("---------- 电子订单运单数据开始 ----------------------------------------");

       /* if (param.isEmpty()) {
            return ResponseMessage.error("入参数为空");
        }*/

        int number = 10;
        /*if (param.containsKey("number") && param.get("number") != null) {
            number = Integer.valueOf(param.get("number").toString());
        }*/

       /* Map<String, Object> reqParam = ImmutableMap.of("number", number);*/

        ResponseMessage result = ceb311OrderBiz.biz();

        logger.info("---------- 电子订单运单数据结束 ----------------------------------------");
        return result;
    }

    /**
     * 支付单数据
     * @return
     */
    @RequestMapping(value="/kmall/cusPayBill")
    public ResponseMessage cusPayBill(/*@RequestBody Map<String, Object> param*/) {
        logger.info("---------- 支付单数据开始 ----------------------------------------");
        /*if (param.isEmpty()) {
            return ResponseMessage.error("入参数为空");
        }*/

        int number = 10;
        /*if (param.containsKey("number") && param.get("number") != null) {
            number = Integer.valueOf(param.get("number").toString());
        }*/


        /*Map<String, Object> reqParam = ImmutableMap.of("number", number);*/

        ResponseMessage result = ceb411AlipayBiz.biz();

        logger.info("---------- 支付单数据结束 ----------------------------------------");
        return result;
    }

    @RequestMapping(value="/kmall/cusIcbcPayBill")
    public ResponseMessage cusPayBill(@RequestBody Map<String, Object> param) {
        logger.info("---------- 支付单数据开始 ----------------------------------------");
        if (param.isEmpty()) {
            return ResponseMessage.error("入参数为空");
        }
        if (!param.containsKey("sellerId") || StringUtils.isBlank(String.valueOf(param.get("sellerId")))) {
            return ResponseMessage.error("商家为空");
        }

        String sellerId = String.valueOf(param.get("sellerId"));

        Map<String, Object> reqParam = ImmutableMap.of("sellerId", sellerId);
        ResponseMessage result = ceb411PayBillBiz.biz(reqParam);

        logger.info("---------- 支付单数据结束 ----------------------------------------");
        return result;
    }

    /**
     * 运单数据
     * @return
     */
    @RequestMapping(value="/kmall/orderBill")
    public ResponseMessage orderBill(/*@RequestBody Map<String, Object> param*/) {
        logger.info("---------- 支付单数据开始 ----------------------------------------");
        /*if (param.isEmpty()) {
            return ResponseMessage.error("入参数为空");
        }*/

        int number = 10;
        /*if (param.containsKey("number") && param.get("number") != null) {
            number = Integer.valueOf(param.get("number").toString());
        }*/


        /*Map<String, Object> reqParam = ImmutableMap.of("number", number);*/

        ResponseMessage result = ceb511OmsWayBiz.biz();

        logger.info("---------- 支付单数据结束 ----------------------------------------");
        return result;
    }

}
