package com.emato.ccnet.controller;

import com.emato.ccnet.domain.kmall.Seller;
import com.emato.ccnet.msg.ResponseMessage;
import com.emato.ccnet.msg.ResponseMessageData;
import com.emato.ccnet.service.kmall.KmallSellerService;
import com.google.common.collect.ImmutableMap;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * @author Scott Chen
 * @version 1.0
 * 2017-11-04 17:55
 */
@RestController
public class KmallSellerController {
    private static final Logger logger = LoggerFactory.getLogger(KmallSellerController.class);

    @Autowired
    private KmallSellerService kmallSellerService;

    /**
     * 商户信息
     * @return
     */
    @RequestMapping(value="/kmall/getSeller")
    public ResponseMessage getSeller(@RequestBody(required = false) Map<String, Object> param) {
        logger.info("---------- 获取商户数据开始 ----------------------------------------");

        //取电子订单运单数据
        Map<String, Object> map = ImmutableMap.of("isDel", "0");
        List<Seller> list = kmallSellerService.getSeller(map);

        ResponseMessageData respData = ResponseMessageData.builder(list).build();
        ResponseMessage message = ResponseMessage.builder().setData(respData).build();

        logger.info("---------- 获取商户数据结束 ----------------------------------------");
        return message;
    }



}
