package com.emato.ccnet.cus.message.req.ceb411;

import com.emato.ccnet.cus.message.req.CebReqMessageHead;
import com.emato.ccnet.cus.message.req.CebReqRoot;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;

/**
 * 海关支付单
 * Java报文对象转XML
 *
 * 报文=报文头(1:1)+报文体(1:1)
 * 报文体(1:1)=表头(1:1)
 *
 * @author Scott Chen
 * @version 1.0
 * 2017-11-06 23:26
 */
@XmlRootElement(name="CEB411Message")
@XmlAccessorType(XmlAccessType.FIELD)
public class CebReq411Message extends CebReqRoot implements Serializable {

    private static final long serialVersionUID = 5967051675559343907L;

    /**
     * 报文头(1:1)
     */
    @XmlElement(name="MessageHead")
    private CebReqMessageHead cebReqMessageHead;

    @XmlElement(name="Payment")
    private Ceb411Payment cEB411Payment;

    @Override
    public String toString() {
        return "CEB411Message{" +
                "MessageHead=" + cebReqMessageHead +
                ", Payment=" + cEB411Payment +
                "} " + super.toString();
    }

    public CebReqMessageHead getCebReqMessageHead() {
        return cebReqMessageHead;
    }

    public void setCebReqMessageHead(CebReqMessageHead cebReqMessageHead) {
        this.cebReqMessageHead = cebReqMessageHead;
    }

    public Ceb411Payment getCEB411Payment() {
        return cEB411Payment;
    }

    public void setCEB411Payment(Ceb411Payment Ceb411Payment) {
        this.cEB411Payment = Ceb411Payment;
    }
}
