package com.emato.ccnet.cus.message.transfer;

import com.emato.ccnet.cus.message.req.CebReqRoot;
import com.emato.ccnet.cus.message.resp.CebRespRoot;

/**
 * @author Scott Chen
 * @version 1.0
 * 2017-11-07 20:54
 */
public interface MessageTransfer {

    /**
     * 请求报文转换
     * Java对象转XML
     *
     * @param messageType
     * @param t
     * @param format
     * @param <T>
     * @return
     * @throws Exception
     */
    <T extends CebReqRoot> String toXml(String messageType, T t, Boolean format) throws Exception;

    /**
     * 回执报文转换
     * XML转Java对象
     *
     * @param fileName
     * @param orgType
     * @param messageType
     * @param type
     * @param eportResultStr
     * @return
     * @throws Exception
     */
    CebRespRoot fromXml(String fileName, String orgType, String messageType, Class<? extends CebRespRoot> type, String eportResultStr) throws Exception;


}
