package com.emato.ccnet.cus.message.transfer;


import com.emato.ccnet.cus.message.req.CebReqRoot;
import com.emato.ccnet.cus.message.resp.CebRespRoot;
import com.emato.ccnet.util.XmlUtil;
import org.springframework.stereotype.Component;

/**
 * 海关报文消息转换器
 * XML与Java对象相互转换
 *
 * @author Scott Chen
 * @version 1.0
 * 2017-11-07 20:54
 */
@Component
class MessageTransferImpl implements MessageTransfer {

    /**
     * 请求报文转换
     * Java对象转XML
     *
     * @param messageType
     * @param t
     * @param format
     * @param <T>
     * @return
     * @throws Exception
     */
    @Override
    public <T extends CebReqRoot> String toXml(String messageType, T t, Boolean format) throws Exception {
        String xmlStr = XmlUtil.toXML(t, format);
        return xmlStr;
    }


    /**
     * 回执报文转换
     * XML转Java对象
     *
     * @param fileName
     * @param orgType
     * @param messageType
     * @param type
     * @param eportResultStr
     * @return
     * @throws Exception
     */
    @Override
    public CebRespRoot fromXml(String fileName, String orgType, String messageType, Class<? extends CebRespRoot> type, String eportResultStr) throws Exception {
        CebRespRoot responseXmlJson = XmlUtil.fromXML(eportResultStr, type, true);
        responseXmlJson.setFileName(fileName);
        responseXmlJson.setOrgType(orgType);
        responseXmlJson.setMessageType(messageType);
        return responseXmlJson;
    }


}
