package com.emato.ccnet.domain.ccnet;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author
 */
public class CusAlipay implements Serializable {

    private static final long serialVersionUID = 6869963283438996923L;
    /**
     * 支付单(阿里)内部编号
     */
    private String cusAlipaySn;

    /**
     * 支付单内部编号
     */
    private String cusPaySn;

    /**
     * ccnet订单编号，20位
     */
    private String orderSn;

    /**
     * 商户订单编号
     */
    private String merchOrderSn;

    /**
     * 商户编号
     */
    private String merchSn;

    /**
     * 商户名称
     */
    private String merchName;

    /**
     * 平台编号
     */
    private String platSn;

    /**
     * 平台中文名
     */
    private String platName;

    /**
     * 第三方商户代码
     */
    private String thirdPartyMerchCode;

    /**
     * 第三方商户名称
     */
    private String thirdPartyMerchName;

    /**
     * 商户下单时间,yyyyMMddHHmmss
     */
    private Date placeOrderlTime;

    /**
     * 报关流水号，商户生成的用于唯一标识一次报关操作的业务编号
     */
    private String outRequestNo;

    /**
     * 支付宝交易号，该交易在支付宝系统中的交易流水号，最长64位
     */
    private String tradeNo;

    /**
     * 商户海关备案编号
     */
    private String merchantCustomsCode;

    /**
     * 商户海关备案名称
     */
    private String merchantCustomsName;

    /**
     * 报关金额，单位为人民币“元”，精确到小数点后2位，交易累计的报关金额不得大于交易总金额
     */
    private BigDecimal amount;

    /**
     * 海关编号，大小写均支持
     */
    private String customsPlace;

    /**
     * 商户控制本单是否拆单报关，仅当该参数传值为T或者t时，才会触发拆单（报关海关必须支持拆单）
     */
    private String isSplit;

    /**
     * 商户子订单号。拆单时由商户传入，且拆单时必须传入，否则会报INVALID_PARAMETER错误码
     */
    private String subOutBizNo;

    /**
     * 订购人姓名。即订购人留在商户处的姓名信息
     */
    private String buyerName;

    /**
     * 订购人身份证号。即订购人留在商户处的身份证信息
     */
    private String buyerIdNo;

    /**
     * 备注
     */
    private String note;

    /**
     * 创建人编号
     */
    private String createrSn;

    /**
     * 创建时间,yyyy-MM-dd HH:mm:ss
     */
    private Date createTime;

    /**
     * 修改人编号
     */
    private String moderSn;

    /**
     * 修改时间,yyyy-MM-dd HH:mm:ss
     */
    private Date modTime;

    /**
     * 时间戳
     */
    private Date tstm;

    private String exField;

    private String exField2;

    private String exField3;

    private String exField4;

    private String exField5;

    public String getCusAlipaySn() {
        return cusAlipaySn;
    }

    public void setCusAlipaySn(String cusAlipaySn) {
        this.cusAlipaySn = cusAlipaySn;
    }

    public String getCusPaySn() {
        return cusPaySn;
    }

    public void setCusPaySn(String cusPaySn) {
        this.cusPaySn = cusPaySn;
    }

    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    public String getMerchOrderSn() {
        return merchOrderSn;
    }

    public void setMerchOrderSn(String merchOrderSn) {
        this.merchOrderSn = merchOrderSn;
    }

    public String getMerchSn() {
        return merchSn;
    }

    public void setMerchSn(String merchSn) {
        this.merchSn = merchSn;
    }

    public String getMerchName() {
        return merchName;
    }

    public void setMerchName(String merchName) {
        this.merchName = merchName;
    }

    public String getPlatSn() {
        return platSn;
    }

    public void setPlatSn(String platSn) {
        this.platSn = platSn;
    }

    public String getPlatName() {
        return platName;
    }

    public void setPlatName(String platName) {
        this.platName = platName;
    }

    public String getThirdPartyMerchCode() {
        return thirdPartyMerchCode;
    }

    public void setThirdPartyMerchCode(String thirdPartyMerchCode) {
        this.thirdPartyMerchCode = thirdPartyMerchCode;
    }

    public String getThirdPartyMerchName() {
        return thirdPartyMerchName;
    }

    public void setThirdPartyMerchName(String thirdPartyMerchName) {
        this.thirdPartyMerchName = thirdPartyMerchName;
    }

    public Date getPlaceOrderlTime() {
        return placeOrderlTime;
    }

    public void setPlaceOrderlTime(Date placeOrderlTime) {
        this.placeOrderlTime = placeOrderlTime;
    }

    public String getOutRequestNo() {
        return outRequestNo;
    }

    public void setOutRequestNo(String outRequestNo) {
        this.outRequestNo = outRequestNo;
    }

    public String getTradeNo() {
        return tradeNo;
    }

    public void setTradeNo(String tradeNo) {
        this.tradeNo = tradeNo;
    }

    public String getMerchantCustomsCode() {
        return merchantCustomsCode;
    }

    public void setMerchantCustomsCode(String merchantCustomsCode) {
        this.merchantCustomsCode = merchantCustomsCode;
    }

    public String getMerchantCustomsName() {
        return merchantCustomsName;
    }

    public void setMerchantCustomsName(String merchantCustomsName) {
        this.merchantCustomsName = merchantCustomsName;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getCustomsPlace() {
        return customsPlace;
    }

    public void setCustomsPlace(String customsPlace) {
        this.customsPlace = customsPlace;
    }

    public String getIsSplit() {
        return isSplit;
    }

    public void setIsSplit(String isSplit) {
        this.isSplit = isSplit;
    }

    public String getSubOutBizNo() {
        return subOutBizNo;
    }

    public void setSubOutBizNo(String subOutBizNo) {
        this.subOutBizNo = subOutBizNo;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public String getBuyerIdNo() {
        return buyerIdNo;
    }

    public void setBuyerIdNo(String buyerIdNo) {
        this.buyerIdNo = buyerIdNo;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public String getCreaterSn() {
        return createrSn;
    }

    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModerSn() {
        return moderSn;
    }

    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    public Date getModTime() {
        return modTime;
    }

    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    public Date getTstm() {
        return tstm;
    }

    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    public String getExField() {
        return exField;
    }

    public void setExField(String exField) {
        this.exField = exField;
    }

    public String getExField2() {
        return exField2;
    }

    public void setExField2(String exField2) {
        this.exField2 = exField2;
    }

    public String getExField3() {
        return exField3;
    }

    public void setExField3(String exField3) {
        this.exField3 = exField3;
    }

    public String getExField4() {
        return exField4;
    }

    public void setExField4(String exField4) {
        this.exField4 = exField4;
    }

    public String getExField5() {
        return exField5;
    }

    public void setExField5(String exField5) {
        this.exField5 = exField5;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        CusAlipay other = (CusAlipay) that;
        return (this.getCusAlipaySn() == null ? other.getCusAlipaySn() == null : this.getCusAlipaySn().equals(other.getCusAlipaySn()))
            && (this.getCusPaySn() == null ? other.getCusPaySn() == null : this.getCusPaySn().equals(other.getCusPaySn()))
            && (this.getOrderSn() == null ? other.getOrderSn() == null : this.getOrderSn().equals(other.getOrderSn()))
            && (this.getMerchOrderSn() == null ? other.getMerchOrderSn() == null : this.getMerchOrderSn().equals(other.getMerchOrderSn()))
            && (this.getMerchSn() == null ? other.getMerchSn() == null : this.getMerchSn().equals(other.getMerchSn()))
            && (this.getMerchName() == null ? other.getMerchName() == null : this.getMerchName().equals(other.getMerchName()))
            && (this.getPlatSn() == null ? other.getPlatSn() == null : this.getPlatSn().equals(other.getPlatSn()))
            && (this.getPlatName() == null ? other.getPlatName() == null : this.getPlatName().equals(other.getPlatName()))
            && (this.getThirdPartyMerchCode() == null ? other.getThirdPartyMerchCode() == null : this.getThirdPartyMerchCode().equals(other.getThirdPartyMerchCode()))
            && (this.getThirdPartyMerchName() == null ? other.getThirdPartyMerchName() == null : this.getThirdPartyMerchName().equals(other.getThirdPartyMerchName()))
            && (this.getPlaceOrderlTime() == null ? other.getPlaceOrderlTime() == null : this.getPlaceOrderlTime().equals(other.getPlaceOrderlTime()))
            && (this.getOutRequestNo() == null ? other.getOutRequestNo() == null : this.getOutRequestNo().equals(other.getOutRequestNo()))
            && (this.getTradeNo() == null ? other.getTradeNo() == null : this.getTradeNo().equals(other.getTradeNo()))
            && (this.getMerchantCustomsCode() == null ? other.getMerchantCustomsCode() == null : this.getMerchantCustomsCode().equals(other.getMerchantCustomsCode()))
            && (this.getMerchantCustomsName() == null ? other.getMerchantCustomsName() == null : this.getMerchantCustomsName().equals(other.getMerchantCustomsName()))
            && (this.getAmount() == null ? other.getAmount() == null : this.getAmount().equals(other.getAmount()))
            && (this.getCustomsPlace() == null ? other.getCustomsPlace() == null : this.getCustomsPlace().equals(other.getCustomsPlace()))
            && (this.getIsSplit() == null ? other.getIsSplit() == null : this.getIsSplit().equals(other.getIsSplit()))
            && (this.getSubOutBizNo() == null ? other.getSubOutBizNo() == null : this.getSubOutBizNo().equals(other.getSubOutBizNo()))
            && (this.getBuyerName() == null ? other.getBuyerName() == null : this.getBuyerName().equals(other.getBuyerName()))
            && (this.getBuyerIdNo() == null ? other.getBuyerIdNo() == null : this.getBuyerIdNo().equals(other.getBuyerIdNo()))
            && (this.getNote() == null ? other.getNote() == null : this.getNote().equals(other.getNote()))
            && (this.getCreaterSn() == null ? other.getCreaterSn() == null : this.getCreaterSn().equals(other.getCreaterSn()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getModerSn() == null ? other.getModerSn() == null : this.getModerSn().equals(other.getModerSn()))
            && (this.getModTime() == null ? other.getModTime() == null : this.getModTime().equals(other.getModTime()))
            && (this.getTstm() == null ? other.getTstm() == null : this.getTstm().equals(other.getTstm()))
            && (this.getExField() == null ? other.getExField() == null : this.getExField().equals(other.getExField()))
            && (this.getExField2() == null ? other.getExField2() == null : this.getExField2().equals(other.getExField2()))
            && (this.getExField3() == null ? other.getExField3() == null : this.getExField3().equals(other.getExField3()))
            && (this.getExField4() == null ? other.getExField4() == null : this.getExField4().equals(other.getExField4()))
            && (this.getExField5() == null ? other.getExField5() == null : this.getExField5().equals(other.getExField5()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getCusAlipaySn() == null) ? 0 : getCusAlipaySn().hashCode());
        result = prime * result + ((getCusPaySn() == null) ? 0 : getCusPaySn().hashCode());
        result = prime * result + ((getOrderSn() == null) ? 0 : getOrderSn().hashCode());
        result = prime * result + ((getMerchOrderSn() == null) ? 0 : getMerchOrderSn().hashCode());
        result = prime * result + ((getMerchSn() == null) ? 0 : getMerchSn().hashCode());
        result = prime * result + ((getMerchName() == null) ? 0 : getMerchName().hashCode());
        result = prime * result + ((getPlatSn() == null) ? 0 : getPlatSn().hashCode());
        result = prime * result + ((getPlatName() == null) ? 0 : getPlatName().hashCode());
        result = prime * result + ((getThirdPartyMerchCode() == null) ? 0 : getThirdPartyMerchCode().hashCode());
        result = prime * result + ((getThirdPartyMerchName() == null) ? 0 : getThirdPartyMerchName().hashCode());
        result = prime * result + ((getPlaceOrderlTime() == null) ? 0 : getPlaceOrderlTime().hashCode());
        result = prime * result + ((getOutRequestNo() == null) ? 0 : getOutRequestNo().hashCode());
        result = prime * result + ((getTradeNo() == null) ? 0 : getTradeNo().hashCode());
        result = prime * result + ((getMerchantCustomsCode() == null) ? 0 : getMerchantCustomsCode().hashCode());
        result = prime * result + ((getMerchantCustomsName() == null) ? 0 : getMerchantCustomsName().hashCode());
        result = prime * result + ((getAmount() == null) ? 0 : getAmount().hashCode());
        result = prime * result + ((getCustomsPlace() == null) ? 0 : getCustomsPlace().hashCode());
        result = prime * result + ((getIsSplit() == null) ? 0 : getIsSplit().hashCode());
        result = prime * result + ((getSubOutBizNo() == null) ? 0 : getSubOutBizNo().hashCode());
        result = prime * result + ((getBuyerName() == null) ? 0 : getBuyerName().hashCode());
        result = prime * result + ((getBuyerIdNo() == null) ? 0 : getBuyerIdNo().hashCode());
        result = prime * result + ((getNote() == null) ? 0 : getNote().hashCode());
        result = prime * result + ((getCreaterSn() == null) ? 0 : getCreaterSn().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getModerSn() == null) ? 0 : getModerSn().hashCode());
        result = prime * result + ((getModTime() == null) ? 0 : getModTime().hashCode());
        result = prime * result + ((getTstm() == null) ? 0 : getTstm().hashCode());
        result = prime * result + ((getExField() == null) ? 0 : getExField().hashCode());
        result = prime * result + ((getExField2() == null) ? 0 : getExField2().hashCode());
        result = prime * result + ((getExField3() == null) ? 0 : getExField3().hashCode());
        result = prime * result + ((getExField4() == null) ? 0 : getExField4().hashCode());
        result = prime * result + ((getExField5() == null) ? 0 : getExField5().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", cusAlipaySn=").append(cusAlipaySn);
        sb.append(", cusPaySn=").append(cusPaySn);
        sb.append(", orderSn=").append(orderSn);
        sb.append(", merchOrderSn=").append(merchOrderSn);
        sb.append(", merchSn=").append(merchSn);
        sb.append(", merchName=").append(merchName);
        sb.append(", platSn=").append(platSn);
        sb.append(", platName=").append(platName);
        sb.append(", thirdPartyMerchCode=").append(thirdPartyMerchCode);
        sb.append(", thirdPartyMerchName=").append(thirdPartyMerchName);
        sb.append(", placeOrderlTime=").append(placeOrderlTime);
        sb.append(", outRequestNo=").append(outRequestNo);
        sb.append(", tradeNo=").append(tradeNo);
        sb.append(", merchantCustomsCode=").append(merchantCustomsCode);
        sb.append(", merchantCustomsName=").append(merchantCustomsName);
        sb.append(", amount=").append(amount);
        sb.append(", customsPlace=").append(customsPlace);
        sb.append(", isSplit=").append(isSplit);
        sb.append(", subOutBizNo=").append(subOutBizNo);
        sb.append(", buyerName=").append(buyerName);
        sb.append(", buyerIdNo=").append(buyerIdNo);
        sb.append(", note=").append(note);
        sb.append(", createrSn=").append(createrSn);
        sb.append(", createTime=").append(createTime);
        sb.append(", moderSn=").append(moderSn);
        sb.append(", modTime=").append(modTime);
        sb.append(", tstm=").append(tstm);
        sb.append(", exField=").append(exField);
        sb.append(", exField2=").append(exField2);
        sb.append(", exField3=").append(exField3);
        sb.append(", exField4=").append(exField4);
        sb.append(", exField5=").append(exField5);
        sb.append("]");
        return sb.toString();
    }
}