package com.emato.ccnet.domain.ccnet;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 
 */
public class CusAlipayStatus implements Serializable {
    
    private static final long serialVersionUID = -4949051571224685920L;
    /**
     * 支付单状态(阿里)内部编号
     */
    private String cusAlipayStatusSn;

    /**
     * 支付单内部编号
     */
    private String cusPaySn;

    /**
     * ccnet订单编号，20位
     */
    private String orderSn;

    /**
     * 商户订单编号
     */
    private String merchOrderSn;

    /**
     * 商户编号
     */
    private String merchSn;

    /**
     * 商户名称
     */
    private String merchName;

    /**
     * 平台编号
     */
    private String platSn;

    /**
     * 平台中文名
     */
    private String platName;

    /**
     * 第三方商户代码
     */
    private String thirdPartyMerchCode;

    /**
     * 第三方商户名称
     */
    private String thirdPartyMerchName;

    /**
     * 发送状态，0:待发送，1:发送中，2:发送成功，3:发送失败
     */
    private String sendStatus;

    /**
     * 支付宝报关流水号
     */
    private String alipayDeclareNo;

    /**
     * 支付宝推送到海关的支付单据号
     */
    private String tradeNo;

    /**
     * 阿里回执状态，0:待接收，1:发送中，2:发送成功，3:发送失败
     */
    private String alipayRespStatus;

    /**
     * 订购人支付人姓名和身份证号验证，T:一致，F:不一致，对于同一笔报关单支付宝只会校验一次，如果多次重推不会返回此参数
     */
    private String identityCheck;

    /**
     * 备注
     */
    private String note;

    /**
     * 创建人编号
     */
    private String createrSn;

    /**
     * 创建时间,yyyy-MM-dd HH:mm:ss
     */
    private Date createTime;

    /**
     * 修改人编号
     */
    private String moderSn;

    /**
     * 修改时间,yyyy-MM-dd HH:mm:ss
     */
    private Date modTime;

    /**
     * 时间戳
     */
    private Date tstm;

    public String getCusAlipayStatusSn() {
        return cusAlipayStatusSn;
    }

    public void setCusAlipayStatusSn(String cusAlipayStatusSn) {
        this.cusAlipayStatusSn = cusAlipayStatusSn;
    }

    public String getCusPaySn() {
        return cusPaySn;
    }

    public void setCusPaySn(String cusPaySn) {
        this.cusPaySn = cusPaySn;
    }

    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    public String getMerchOrderSn() {
        return merchOrderSn;
    }

    public void setMerchOrderSn(String merchOrderSn) {
        this.merchOrderSn = merchOrderSn;
    }

    public String getMerchSn() {
        return merchSn;
    }

    public void setMerchSn(String merchSn) {
        this.merchSn = merchSn;
    }

    public String getMerchName() {
        return merchName;
    }

    public void setMerchName(String merchName) {
        this.merchName = merchName;
    }

    public String getPlatSn() {
        return platSn;
    }

    public void setPlatSn(String platSn) {
        this.platSn = platSn;
    }

    public String getPlatName() {
        return platName;
    }

    public void setPlatName(String platName) {
        this.platName = platName;
    }

    public String getThirdPartyMerchCode() {
        return thirdPartyMerchCode;
    }

    public void setThirdPartyMerchCode(String thirdPartyMerchCode) {
        this.thirdPartyMerchCode = thirdPartyMerchCode;
    }

    public String getThirdPartyMerchName() {
        return thirdPartyMerchName;
    }

    public void setThirdPartyMerchName(String thirdPartyMerchName) {
        this.thirdPartyMerchName = thirdPartyMerchName;
    }

    public String getSendStatus() {
        return sendStatus;
    }

    public void setSendStatus(String sendStatus) {
        this.sendStatus = sendStatus;
    }

    public String getAlipayDeclareNo() {
        return alipayDeclareNo;
    }

    public void setAlipayDeclareNo(String alipayDeclareNo) {
        this.alipayDeclareNo = alipayDeclareNo;
    }

    public String getTradeNo() {
        return tradeNo;
    }

    public void setTradeNo(String tradeNo) {
        this.tradeNo = tradeNo;
    }

    public String getAlipayRespStatus() {
        return alipayRespStatus;
    }

    public void setAlipayRespStatus(String alipayRespStatus) {
        this.alipayRespStatus = alipayRespStatus;
    }

    public String getIdentityCheck() {
        return identityCheck;
    }

    public void setIdentityCheck(String identityCheck) {
        this.identityCheck = identityCheck;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public String getCreaterSn() {
        return createrSn;
    }

    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModerSn() {
        return moderSn;
    }

    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    public Date getModTime() {
        return modTime;
    }

    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    public Date getTstm() {
        return tstm;
    }

    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        CusAlipayStatus other = (CusAlipayStatus) that;
        return (this.getCusAlipayStatusSn() == null ? other.getCusAlipayStatusSn() == null : this.getCusAlipayStatusSn().equals(other.getCusAlipayStatusSn()))
            && (this.getCusPaySn() == null ? other.getCusPaySn() == null : this.getCusPaySn().equals(other.getCusPaySn()))
            && (this.getOrderSn() == null ? other.getOrderSn() == null : this.getOrderSn().equals(other.getOrderSn()))
            && (this.getMerchOrderSn() == null ? other.getMerchOrderSn() == null : this.getMerchOrderSn().equals(other.getMerchOrderSn()))
            && (this.getMerchSn() == null ? other.getMerchSn() == null : this.getMerchSn().equals(other.getMerchSn()))
            && (this.getMerchName() == null ? other.getMerchName() == null : this.getMerchName().equals(other.getMerchName()))
            && (this.getPlatSn() == null ? other.getPlatSn() == null : this.getPlatSn().equals(other.getPlatSn()))
            && (this.getPlatName() == null ? other.getPlatName() == null : this.getPlatName().equals(other.getPlatName()))
            && (this.getThirdPartyMerchCode() == null ? other.getThirdPartyMerchCode() == null : this.getThirdPartyMerchCode().equals(other.getThirdPartyMerchCode()))
            && (this.getThirdPartyMerchName() == null ? other.getThirdPartyMerchName() == null : this.getThirdPartyMerchName().equals(other.getThirdPartyMerchName()))
            && (this.getSendStatus() == null ? other.getSendStatus() == null : this.getSendStatus().equals(other.getSendStatus()))
            && (this.getAlipayDeclareNo() == null ? other.getAlipayDeclareNo() == null : this.getAlipayDeclareNo().equals(other.getAlipayDeclareNo()))
            && (this.getTradeNo() == null ? other.getTradeNo() == null : this.getTradeNo().equals(other.getTradeNo()))
            && (this.getAlipayRespStatus() == null ? other.getAlipayRespStatus() == null : this.getAlipayRespStatus().equals(other.getAlipayRespStatus()))
            && (this.getIdentityCheck() == null ? other.getIdentityCheck() == null : this.getIdentityCheck().equals(other.getIdentityCheck()))
            && (this.getNote() == null ? other.getNote() == null : this.getNote().equals(other.getNote()))
            && (this.getCreaterSn() == null ? other.getCreaterSn() == null : this.getCreaterSn().equals(other.getCreaterSn()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getModerSn() == null ? other.getModerSn() == null : this.getModerSn().equals(other.getModerSn()))
            && (this.getModTime() == null ? other.getModTime() == null : this.getModTime().equals(other.getModTime()))
            && (this.getTstm() == null ? other.getTstm() == null : this.getTstm().equals(other.getTstm()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getCusAlipayStatusSn() == null) ? 0 : getCusAlipayStatusSn().hashCode());
        result = prime * result + ((getCusPaySn() == null) ? 0 : getCusPaySn().hashCode());
        result = prime * result + ((getOrderSn() == null) ? 0 : getOrderSn().hashCode());
        result = prime * result + ((getMerchOrderSn() == null) ? 0 : getMerchOrderSn().hashCode());
        result = prime * result + ((getMerchSn() == null) ? 0 : getMerchSn().hashCode());
        result = prime * result + ((getMerchName() == null) ? 0 : getMerchName().hashCode());
        result = prime * result + ((getPlatSn() == null) ? 0 : getPlatSn().hashCode());
        result = prime * result + ((getPlatName() == null) ? 0 : getPlatName().hashCode());
        result = prime * result + ((getThirdPartyMerchCode() == null) ? 0 : getThirdPartyMerchCode().hashCode());
        result = prime * result + ((getThirdPartyMerchName() == null) ? 0 : getThirdPartyMerchName().hashCode());
        result = prime * result + ((getSendStatus() == null) ? 0 : getSendStatus().hashCode());
        result = prime * result + ((getAlipayDeclareNo() == null) ? 0 : getAlipayDeclareNo().hashCode());
        result = prime * result + ((getTradeNo() == null) ? 0 : getTradeNo().hashCode());
        result = prime * result + ((getAlipayRespStatus() == null) ? 0 : getAlipayRespStatus().hashCode());
        result = prime * result + ((getIdentityCheck() == null) ? 0 : getIdentityCheck().hashCode());
        result = prime * result + ((getNote() == null) ? 0 : getNote().hashCode());
        result = prime * result + ((getCreaterSn() == null) ? 0 : getCreaterSn().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getModerSn() == null) ? 0 : getModerSn().hashCode());
        result = prime * result + ((getModTime() == null) ? 0 : getModTime().hashCode());
        result = prime * result + ((getTstm() == null) ? 0 : getTstm().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", cusAlipayStatusSn=").append(cusAlipayStatusSn);
        sb.append(", cusPaySn=").append(cusPaySn);
        sb.append(", orderSn=").append(orderSn);
        sb.append(", merchOrderSn=").append(merchOrderSn);
        sb.append(", merchSn=").append(merchSn);
        sb.append(", merchName=").append(merchName);
        sb.append(", platSn=").append(platSn);
        sb.append(", platName=").append(platName);
        sb.append(", thirdPartyMerchCode=").append(thirdPartyMerchCode);
        sb.append(", thirdPartyMerchName=").append(thirdPartyMerchName);
        sb.append(", sendStatus=").append(sendStatus);
        sb.append(", alipayDeclareNo=").append(alipayDeclareNo);
        sb.append(", tradeNo=").append(tradeNo);
        sb.append(", alipayRespStatus=").append(alipayRespStatus);
        sb.append(", identityCheck=").append(identityCheck);
        sb.append(", note=").append(note);
        sb.append(", createrSn=").append(createrSn);
        sb.append(", createTime=").append(createTime);
        sb.append(", moderSn=").append(moderSn);
        sb.append(", modTime=").append(modTime);
        sb.append(", tstm=").append(tstm);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}