package com.emato.ccnet.domain.ccnet;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author 
 */
public class CusOrder implements Serializable {

    private static final long serialVersionUID = 7394700953634746481L;
    /**
     * 电子订单内部编号
     */
    private String cusOrderSn;

    /**
     * ccnet订单编号，20位
     */
    private String orderSn;

    /**
     * 商户订单编号
     */
    private String merchOrderSn;

    /**
     * 商户编号
     */
    private String merchSn;

    /**
     * 商户名称
     */
    private String merchName;

    /**
     * 平台编号
     */
    private String platSn;

    /**
     * 平台中文名
     */
    private String platName;

    /**
     * 第三方商户代码
     */
    private String thirdPartyMerchCode;

    /**
     * 第三方商户名称
     */
    private String thirdPartyMerchName;

    /**
     * 商户下单时间,yyyyMMddHHmmss
     */
    private Date placeOrderlTime;

    /**
     * 申报类型：1-新增 2-修改 
     */
    private String appType = "1";

    /**
     * 企业报送时间。格式:YYYYMMDDhhmmss。
            
     */
    private String appTime;

    /**
     * 业务状态:1-暂存,2-申报,默认为 2
     */
    private String appStatus = "2";

    /**
     * 电子订单类型：I 进口
     */
    private String orderType = "I";

    /**
     * 订单编号，同一交易平台订单编号唯一，同商户订单编号
     */
    private String orderNo;

    /**
     * 电商平台的海关注册登记编号；电商平
            台未在海关注册登记，由电商企业发送
            订单的，以中国电子口岸发布的电商平
            台标识编号为准。
     */
    private String ebpCode;

    /**
     * 电商平台的海关注册登记名称；电商平
            台未在海关注册登记，由电商企业发送
            订单的，以中国电子口岸发布的电商平
            台名称为准。
     */
    private String ebpName;

    /**
     * 电商企业的海关注册登记编号
     */
    private String ebcCode;

    /**
     * 电商企业的海关注册登记名称
     */
    private String ebcName;

    /**
     * 商品实际成交价，含非现金抵扣金额
     */
    private BigDecimal goodsValue;

    /**
     * 不包含在商品价格中的运杂费，无则填写“0”
     */
    private BigDecimal freight = new BigDecimal(0);

    /**
     * 使用积分、虚拟货币、代金券等非现金支付金额，无则填写“0”
     */
    private BigDecimal discount = new BigDecimal(0);

    /**
     * 企业预先代扣的税款金额，无则填“0”
     */
    private BigDecimal taxTotal = new BigDecimal(0);

    /**
     * 商品价格+运杂费+代扣税款-非现金抵扣金额，与支付凭证的支付金额一致
     */
    private BigDecimal acturalPaid;

    /**
     * 限定为人民币，填写“142”
     */
    private String currency = "142";

    /**
     * 订购人的交易平台注册号
     */
    private String buyerRegNo;

    /**
     * 订购人的真实姓名
     */
    private String buyerName;

    /**
     * 1-身份证，2-其它。限定为身份证，填写“1”
     */
    private String buyerIdType;

    /**
     * 订购人的身份证号
     */
    private String buyerIdNumber;

    /**
     * 支付企业的海关注册登记编号。
     */
    private String payCode;

    /**
     * 支付企业在海关注册登记的名称
     */
    private String payName;

    /**
     * 支付企业唯一的支付流水号
     */
    private String payTransactionId;

    /**
     * 商品批次号
     */
    private String batchNumbers;

    /**
     * 收货人姓名，必须与电子运单的收货人姓名一致
     */
    private String consignee;

    /**
     * 收货人联系电话，必须与电子运单的收货人电话一致
     */
    private String consigneeTelephone;

    /**
     * 收货地址，必须与电子运单的收货地址一致
     */
    private String consigneeAddress;

    /**
     * 参照国家统计局公布的国家行政区划标准填制
     */
    private String consigneeDistrict;

    /**
     * 订单备注
     */
    private String note;

    /**
     * 创建人编号
     */
    private String createrSn;

    /**
     * 创建时间,yyyy-MM-dd HH:mm:ss
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 修改人编号
     */
    private String moderSn;

    /**
     * 修改时间,yyyy-MM-dd HH:mm:ss
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date modTime;

    /**
     * 时间戳
     */
    private Date tstm;

    private String exField;

    private String exField2;

    private String exField3;

    private String exField4;

    private String exField5;

    public String getCusOrderSn() {
        return cusOrderSn;
    }

    public void setCusOrderSn(String cusOrderSn) {
        this.cusOrderSn = cusOrderSn;
    }

    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    public String getMerchOrderSn() {
        return merchOrderSn;
    }

    public void setMerchOrderSn(String merchOrderSn) {
        this.merchOrderSn = merchOrderSn;
    }

    public String getMerchSn() {
        return merchSn;
    }

    public void setMerchSn(String merchSn) {
        this.merchSn = merchSn;
    }

    public String getMerchName() {
        return merchName;
    }

    public void setMerchName(String merchName) {
        this.merchName = merchName;
    }

    public String getPlatSn() {
        return platSn;
    }

    public void setPlatSn(String platSn) {
        this.platSn = platSn;
    }

    public String getPlatName() {
        return platName;
    }

    public void setPlatName(String platName) {
        this.platName = platName;
    }

    public String getThirdPartyMerchCode() {
        return thirdPartyMerchCode;
    }

    public void setThirdPartyMerchCode(String thirdPartyMerchCode) {
        this.thirdPartyMerchCode = thirdPartyMerchCode;
    }

    public String getThirdPartyMerchName() {
        return thirdPartyMerchName;
    }

    public void setThirdPartyMerchName(String thirdPartyMerchName) {
        this.thirdPartyMerchName = thirdPartyMerchName;
    }

    public Date getPlaceOrderlTime() {
        return placeOrderlTime;
    }

    public void setPlaceOrderlTime(Date placeOrderlTime) {
        this.placeOrderlTime = placeOrderlTime;
    }

    public String getAppType() {
        return appType;
    }

    public void setAppType(String appType) {
        this.appType = appType;
    }

    public String getAppTime() {
        return appTime;
    }

    public void setAppTime(String appTime) {
        this.appTime = appTime;
    }

    public String getAppStatus() {
        return appStatus;
    }

    public void setAppStatus(String appStatus) {
        this.appStatus = appStatus;
    }

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getEbpCode() {
        return ebpCode;
    }

    public void setEbpCode(String ebpCode) {
        this.ebpCode = ebpCode;
    }

    public String getEbpName() {
        return ebpName;
    }

    public void setEbpName(String ebpName) {
        this.ebpName = ebpName;
    }

    public String getEbcCode() {
        return ebcCode;
    }

    public void setEbcCode(String ebcCode) {
        this.ebcCode = ebcCode;
    }

    public String getEbcName() {
        return ebcName;
    }

    public void setEbcName(String ebcName) {
        this.ebcName = ebcName;
    }

    public BigDecimal getGoodsValue() {
        return goodsValue;
    }

    public void setGoodsValue(BigDecimal goodsValue) {
        this.goodsValue = goodsValue;
    }

    public BigDecimal getFreight() {
        return freight;
    }

    public void setFreight(BigDecimal freight) {
        this.freight = freight;
    }

    public BigDecimal getDiscount() {
        return discount;
    }

    public void setDiscount(BigDecimal discount) {
        this.discount = discount;
    }

    public BigDecimal getTaxTotal() {
        return taxTotal;
    }

    public void setTaxTotal(BigDecimal taxTotal) {
        this.taxTotal = taxTotal;
    }

    public BigDecimal getActuralPaid() {
        return acturalPaid;
    }

    public void setActuralPaid(BigDecimal acturalPaid) {
        this.acturalPaid = acturalPaid;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getBuyerRegNo() {
        return buyerRegNo;
    }

    public void setBuyerRegNo(String buyerRegNo) {
        this.buyerRegNo = buyerRegNo;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public String getBuyerIdType() {
        return buyerIdType;
    }

    public void setBuyerIdType(String buyerIdType) {
        this.buyerIdType = buyerIdType;
    }

    public String getbuyerIdNumber() {
        return buyerIdNumber;
    }

    public void setbuyerIdNumber(String buyerIdNumber) {
        this.buyerIdNumber = buyerIdNumber;
    }

    public String getPayCode() {
        return payCode;
    }

    public void setPayCode(String payCode) {
        this.payCode = payCode;
    }

    public String getPayName() {
        return payName;
    }

    public void setPayName(String payName) {
        this.payName = payName;
    }

    public String getPayTransactionId() {
        return payTransactionId;
    }

    public void setPayTransactionId(String payTransactionId) {
        this.payTransactionId = payTransactionId;
    }

    public String getBatchNumbers() {
        return batchNumbers;
    }

    public void setBatchNumbers(String batchNumbers) {
        this.batchNumbers = batchNumbers;
    }

    public String getConsignee() {
        return consignee;
    }

    public void setConsignee(String consignee) {
        this.consignee = consignee;
    }

    public String getConsigneeTelephone() {
        return consigneeTelephone;
    }

    public void setConsigneeTelephone(String consigneeTelephone) {
        this.consigneeTelephone = consigneeTelephone;
    }

    public String getConsigneeAddress() {
        return consigneeAddress;
    }

    public void setConsigneeAddress(String consigneeAddress) {
        this.consigneeAddress = consigneeAddress;
    }

    public String getConsigneeDistrict() {
        return consigneeDistrict;
    }

    public void setConsigneeDistrict(String consigneeDistrict) {
        this.consigneeDistrict = consigneeDistrict;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public String getCreaterSn() {
        return createrSn;
    }

    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModerSn() {
        return moderSn;
    }

    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    public Date getModTime() {
        return modTime;
    }

    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    public Date getTstm() {
        return tstm;
    }

    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    public String getExField() {
        return exField;
    }

    public void setExField(String exField) {
        this.exField = exField;
    }

    public String getExField2() {
        return exField2;
    }

    public void setExField2(String exField2) {
        this.exField2 = exField2;
    }

    public String getExField3() {
        return exField3;
    }

    public void setExField3(String exField3) {
        this.exField3 = exField3;
    }

    public String getExField4() {
        return exField4;
    }

    public void setExField4(String exField4) {
        this.exField4 = exField4;
    }

    public String getExField5() {
        return exField5;
    }

    public void setExField5(String exField5) {
        this.exField5 = exField5;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        CusOrder other = (CusOrder) that;
        return (this.getCusOrderSn() == null ? other.getCusOrderSn() == null : this.getCusOrderSn().equals(other.getCusOrderSn()))
            && (this.getOrderSn() == null ? other.getOrderSn() == null : this.getOrderSn().equals(other.getOrderSn()))
            && (this.getMerchOrderSn() == null ? other.getMerchOrderSn() == null : this.getMerchOrderSn().equals(other.getMerchOrderSn()))
            && (this.getMerchSn() == null ? other.getMerchSn() == null : this.getMerchSn().equals(other.getMerchSn()))
            && (this.getMerchName() == null ? other.getMerchName() == null : this.getMerchName().equals(other.getMerchName()))
            && (this.getPlatSn() == null ? other.getPlatSn() == null : this.getPlatSn().equals(other.getPlatSn()))
            && (this.getPlatName() == null ? other.getPlatName() == null : this.getPlatName().equals(other.getPlatName()))
            && (this.getThirdPartyMerchCode() == null ? other.getThirdPartyMerchCode() == null : this.getThirdPartyMerchCode().equals(other.getThirdPartyMerchCode()))
            && (this.getThirdPartyMerchName() == null ? other.getThirdPartyMerchName() == null : this.getThirdPartyMerchName().equals(other.getThirdPartyMerchName()))
            && (this.getPlaceOrderlTime() == null ? other.getPlaceOrderlTime() == null : this.getPlaceOrderlTime().equals(other.getPlaceOrderlTime()))
            && (this.getAppType() == null ? other.getAppType() == null : this.getAppType().equals(other.getAppType()))
            && (this.getAppTime() == null ? other.getAppTime() == null : this.getAppTime().equals(other.getAppTime()))
            && (this.getAppStatus() == null ? other.getAppStatus() == null : this.getAppStatus().equals(other.getAppStatus()))
            && (this.getOrderType() == null ? other.getOrderType() == null : this.getOrderType().equals(other.getOrderType()))
            && (this.getOrderNo() == null ? other.getOrderNo() == null : this.getOrderNo().equals(other.getOrderNo()))
            && (this.getEbpCode() == null ? other.getEbpCode() == null : this.getEbpCode().equals(other.getEbpCode()))
            && (this.getEbpName() == null ? other.getEbpName() == null : this.getEbpName().equals(other.getEbpName()))
            && (this.getEbcCode() == null ? other.getEbcCode() == null : this.getEbcCode().equals(other.getEbcCode()))
            && (this.getEbcName() == null ? other.getEbcName() == null : this.getEbcName().equals(other.getEbcName()))
            && (this.getGoodsValue() == null ? other.getGoodsValue() == null : this.getGoodsValue().equals(other.getGoodsValue()))
            && (this.getFreight() == null ? other.getFreight() == null : this.getFreight().equals(other.getFreight()))
            && (this.getDiscount() == null ? other.getDiscount() == null : this.getDiscount().equals(other.getDiscount()))
            && (this.getTaxTotal() == null ? other.getTaxTotal() == null : this.getTaxTotal().equals(other.getTaxTotal()))
            && (this.getActuralPaid() == null ? other.getActuralPaid() == null : this.getActuralPaid().equals(other.getActuralPaid()))
            && (this.getCurrency() == null ? other.getCurrency() == null : this.getCurrency().equals(other.getCurrency()))
            && (this.getBuyerRegNo() == null ? other.getBuyerRegNo() == null : this.getBuyerRegNo().equals(other.getBuyerRegNo()))
            && (this.getBuyerName() == null ? other.getBuyerName() == null : this.getBuyerName().equals(other.getBuyerName()))
            && (this.getBuyerIdType() == null ? other.getBuyerIdType() == null : this.getBuyerIdType().equals(other.getBuyerIdType()))
            && (this.getbuyerIdNumber() == null ? other.getbuyerIdNumber() == null : this.getbuyerIdNumber().equals(other.getbuyerIdNumber()))
            && (this.getPayCode() == null ? other.getPayCode() == null : this.getPayCode().equals(other.getPayCode()))
            && (this.getPayName() == null ? other.getPayName() == null : this.getPayName().equals(other.getPayName()))
            && (this.getPayTransactionId() == null ? other.getPayTransactionId() == null : this.getPayTransactionId().equals(other.getPayTransactionId()))
            && (this.getBatchNumbers() == null ? other.getBatchNumbers() == null : this.getBatchNumbers().equals(other.getBatchNumbers()))
            && (this.getConsignee() == null ? other.getConsignee() == null : this.getConsignee().equals(other.getConsignee()))
            && (this.getConsigneeTelephone() == null ? other.getConsigneeTelephone() == null : this.getConsigneeTelephone().equals(other.getConsigneeTelephone()))
            && (this.getConsigneeAddress() == null ? other.getConsigneeAddress() == null : this.getConsigneeAddress().equals(other.getConsigneeAddress()))
            && (this.getConsigneeDistrict() == null ? other.getConsigneeDistrict() == null : this.getConsigneeDistrict().equals(other.getConsigneeDistrict()))
            && (this.getNote() == null ? other.getNote() == null : this.getNote().equals(other.getNote()))
            && (this.getCreaterSn() == null ? other.getCreaterSn() == null : this.getCreaterSn().equals(other.getCreaterSn()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getModerSn() == null ? other.getModerSn() == null : this.getModerSn().equals(other.getModerSn()))
            && (this.getModTime() == null ? other.getModTime() == null : this.getModTime().equals(other.getModTime()))
            && (this.getTstm() == null ? other.getTstm() == null : this.getTstm().equals(other.getTstm()))
            && (this.getExField() == null ? other.getExField() == null : this.getExField().equals(other.getExField()))
            && (this.getExField2() == null ? other.getExField2() == null : this.getExField2().equals(other.getExField2()))
            && (this.getExField3() == null ? other.getExField3() == null : this.getExField3().equals(other.getExField3()))
            && (this.getExField4() == null ? other.getExField4() == null : this.getExField4().equals(other.getExField4()))
            && (this.getExField5() == null ? other.getExField5() == null : this.getExField5().equals(other.getExField5()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getCusOrderSn() == null) ? 0 : getCusOrderSn().hashCode());
        result = prime * result + ((getOrderSn() == null) ? 0 : getOrderSn().hashCode());
        result = prime * result + ((getMerchOrderSn() == null) ? 0 : getMerchOrderSn().hashCode());
        result = prime * result + ((getMerchSn() == null) ? 0 : getMerchSn().hashCode());
        result = prime * result + ((getMerchName() == null) ? 0 : getMerchName().hashCode());
        result = prime * result + ((getPlatSn() == null) ? 0 : getPlatSn().hashCode());
        result = prime * result + ((getPlatName() == null) ? 0 : getPlatName().hashCode());
        result = prime * result + ((getThirdPartyMerchCode() == null) ? 0 : getThirdPartyMerchCode().hashCode());
        result = prime * result + ((getThirdPartyMerchName() == null) ? 0 : getThirdPartyMerchName().hashCode());
        result = prime * result + ((getPlaceOrderlTime() == null) ? 0 : getPlaceOrderlTime().hashCode());
        result = prime * result + ((getAppType() == null) ? 0 : getAppType().hashCode());
        result = prime * result + ((getAppTime() == null) ? 0 : getAppTime().hashCode());
        result = prime * result + ((getAppStatus() == null) ? 0 : getAppStatus().hashCode());
        result = prime * result + ((getOrderType() == null) ? 0 : getOrderType().hashCode());
        result = prime * result + ((getOrderNo() == null) ? 0 : getOrderNo().hashCode());
        result = prime * result + ((getEbpCode() == null) ? 0 : getEbpCode().hashCode());
        result = prime * result + ((getEbpName() == null) ? 0 : getEbpName().hashCode());
        result = prime * result + ((getEbcCode() == null) ? 0 : getEbcCode().hashCode());
        result = prime * result + ((getEbcName() == null) ? 0 : getEbcName().hashCode());
        result = prime * result + ((getGoodsValue() == null) ? 0 : getGoodsValue().hashCode());
        result = prime * result + ((getFreight() == null) ? 0 : getFreight().hashCode());
        result = prime * result + ((getDiscount() == null) ? 0 : getDiscount().hashCode());
        result = prime * result + ((getTaxTotal() == null) ? 0 : getTaxTotal().hashCode());
        result = prime * result + ((getActuralPaid() == null) ? 0 : getActuralPaid().hashCode());
        result = prime * result + ((getCurrency() == null) ? 0 : getCurrency().hashCode());
        result = prime * result + ((getBuyerRegNo() == null) ? 0 : getBuyerRegNo().hashCode());
        result = prime * result + ((getBuyerName() == null) ? 0 : getBuyerName().hashCode());
        result = prime * result + ((getBuyerIdType() == null) ? 0 : getBuyerIdType().hashCode());
        result = prime * result + ((getbuyerIdNumber() == null) ? 0 : getbuyerIdNumber().hashCode());
        result = prime * result + ((getPayCode() == null) ? 0 : getPayCode().hashCode());
        result = prime * result + ((getPayName() == null) ? 0 : getPayName().hashCode());
        result = prime * result + ((getPayTransactionId() == null) ? 0 : getPayTransactionId().hashCode());
        result = prime * result + ((getBatchNumbers() == null) ? 0 : getBatchNumbers().hashCode());
        result = prime * result + ((getConsignee() == null) ? 0 : getConsignee().hashCode());
        result = prime * result + ((getConsigneeTelephone() == null) ? 0 : getConsigneeTelephone().hashCode());
        result = prime * result + ((getConsigneeAddress() == null) ? 0 : getConsigneeAddress().hashCode());
        result = prime * result + ((getConsigneeDistrict() == null) ? 0 : getConsigneeDistrict().hashCode());
        result = prime * result + ((getNote() == null) ? 0 : getNote().hashCode());
        result = prime * result + ((getCreaterSn() == null) ? 0 : getCreaterSn().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getModerSn() == null) ? 0 : getModerSn().hashCode());
        result = prime * result + ((getModTime() == null) ? 0 : getModTime().hashCode());
        result = prime * result + ((getTstm() == null) ? 0 : getTstm().hashCode());
        result = prime * result + ((getExField() == null) ? 0 : getExField().hashCode());
        result = prime * result + ((getExField2() == null) ? 0 : getExField2().hashCode());
        result = prime * result + ((getExField3() == null) ? 0 : getExField3().hashCode());
        result = prime * result + ((getExField4() == null) ? 0 : getExField4().hashCode());
        result = prime * result + ((getExField5() == null) ? 0 : getExField5().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", cusOrderSn=").append(cusOrderSn);
        sb.append(", orderSn=").append(orderSn);
        sb.append(", merchOrderSn=").append(merchOrderSn);
        sb.append(", merchSn=").append(merchSn);
        sb.append(", merchName=").append(merchName);
        sb.append(", platSn=").append(platSn);
        sb.append(", platName=").append(platName);
        sb.append(", thirdPartyMerchCode=").append(thirdPartyMerchCode);
        sb.append(", thirdPartyMerchName=").append(thirdPartyMerchName);
        sb.append(", placeOrderlTime=").append(placeOrderlTime);
        sb.append(", appType=").append(appType);
        sb.append(", appTime=").append(appTime);
        sb.append(", appStatus=").append(appStatus);
        sb.append(", orderType=").append(orderType);
        sb.append(", orderNo=").append(orderNo);
        sb.append(", ebpCode=").append(ebpCode);
        sb.append(", ebpName=").append(ebpName);
        sb.append(", ebcCode=").append(ebcCode);
        sb.append(", ebcName=").append(ebcName);
        sb.append(", goodsValue=").append(goodsValue);
        sb.append(", freight=").append(freight);
        sb.append(", discount=").append(discount);
        sb.append(", taxTotal=").append(taxTotal);
        sb.append(", acturalPaid=").append(acturalPaid);
        sb.append(", currency=").append(currency);
        sb.append(", buyerRegNo=").append(buyerRegNo);
        sb.append(", buyerName=").append(buyerName);
        sb.append(", buyerIdType=").append(buyerIdType);
        sb.append(", buyerIdNumber=").append(buyerIdNumber);
        sb.append(", payCode=").append(payCode);
        sb.append(", payName=").append(payName);
        sb.append(", payTransactionId=").append(payTransactionId);
        sb.append(", batchNumbers=").append(batchNumbers);
        sb.append(", consignee=").append(consignee);
        sb.append(", consigneeTelephone=").append(consigneeTelephone);
        sb.append(", consigneeAddress=").append(consigneeAddress);
        sb.append(", consigneeDistrict=").append(consigneeDistrict);
        sb.append(", note=").append(note);
        sb.append(", createrSn=").append(createrSn);
        sb.append(", createTime=").append(createTime);
        sb.append(", moderSn=").append(moderSn);
        sb.append(", modTime=").append(modTime);
        sb.append(", tstm=").append(tstm);
        sb.append(", exField=").append(exField);
        sb.append(", exField2=").append(exField2);
        sb.append(", exField3=").append(exField3);
        sb.append(", exField4=").append(exField4);
        sb.append(", exField5=").append(exField5);
        sb.append("]");
        return sb.toString();
    }
}