package com.emato.ccnet.domain.ccnet;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author 
 */
public class CusPayment implements Serializable {
    private static final long serialVersionUID = 7377406656664425862L;
    /**
     * 支付单(直接)内部编号
     */
    private String cusDirectPaySn;

    /**
     * 支付单内部编号
     */
    private String cusPaySn;

    /**
     * ccnet订单编号，20位
     */
    private String orderSn;

    /**
     * 商户订单编号
     */
    private String merchOrderSn;

    /**
     * 商户编号
     */
    private String merchSn;

    /**
     * 商户名称
     */
    private String merchName;

    /**
     * 平台编号
     */
    private String platSn;

    /**
     * 平台中文名
     */
    private String platName;

    /**
     * 第三方商户代码
     */
    private String thirdPartyMerchCode;

    /**
     * 第三方商户名称
     */
    private String thirdPartyMerchName;

    /**
     * 订单状态，00:待发送，01:发送中，02:发送失败，03:发送成功，98:退单，99:取消
     */
    private String orderStatus;

    /**
     * 商户下单时间,yyyyMMddHHmmss
     */
    private Date placeOrderlTime;

    /**
     * 发送状态，0:待发送，1:发送中，2:发送成功，3:发送失败
     */
    private String sendStatus;

    /**
     * 申报类型：1-新增 2-修改 
     */
    private String appType;

    /**
     * 企业报送时间。格式:YYYYMMDDhhmmss。
            
     */
    private String appTime;

    /**
     * 业务状态:1-暂存,2-申报,默认为 2
     */
    private String appStatus;

    /**
     * 支付企业的海关注册登记编号。
     */
    private String payCode;

    /**
     * 支付企业在海关注册登记的名称
     */
    private String payName;

    /**
     * 支付企业唯一的支付流水号
     */
    private String payTransactionId;

    /**
     * 电商平台的海关注册登记编号；电商平
            台未在海关注册登记，由电商企业发送
            订单的，以中国电子口岸发布的电商平
            台标识编号为准。
     */
    private String ebpCode;

    /**
     * 电商平台的海关注册登记名称；电商平
            台未在海关注册登记，由电商企业发送
            订单的，以中国电子口岸发布的电商平
            台名称为准。
     */
    private String ebpName;

    /**
     * 1-身份证,2-其它。限定为身份证，填写
            “1”。
     */
    private String payerIdType;

    /**
     * 支付人的身份证件号码。
     */
    private String payerIdNumber;

    /**
     * 支付人的真实姓名。 
     */
    private String payerName;

    /**
     * 支付人的电话号码。
     */
    private String telephone;

    /**
     * 支付金额。 是
     */
    private BigDecimal amountPaid;

    /**
     * 限定为人民币，填写“142”
     */
    private String currency;

    /**
     * 支付时间，格式:YYYYMMDDhhmmss
     */
    private String payTime;

    /**
     * 备注
     */
    private String note;

    /**
     * 创建人编号
     */
    private String createrSn;

    /**
     * 创建时间,yyyy-MM-dd HH:mm:ss
     */
    private Date createTime;

    /**
     * 修改人编号
     */
    private String moderSn;

    /**
     * 修改时间,yyyy-MM-dd HH:mm:ss
     */
    private Date modTime;

    /**
     * 时间戳
     */
    private Date tstm;

    private String exField;

    private String exField2;

    private String exField3;

    private String exField4;

    private String exField5;

    public String getCusDirectPaySn() {
        return cusDirectPaySn;
    }

    public void setCusDirectPaySn(String cusDirectPaySn) {
        this.cusDirectPaySn = cusDirectPaySn;
    }

    public String getCusPaySn() {
        return cusPaySn;
    }

    public void setCusPaySn(String cusPaySn) {
        this.cusPaySn = cusPaySn;
    }

    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    public String getMerchOrderSn() {
        return merchOrderSn;
    }

    public void setMerchOrderSn(String merchOrderSn) {
        this.merchOrderSn = merchOrderSn;
    }

    public String getMerchSn() {
        return merchSn;
    }

    public void setMerchSn(String merchSn) {
        this.merchSn = merchSn;
    }

    public String getMerchName() {
        return merchName;
    }

    public void setMerchName(String merchName) {
        this.merchName = merchName;
    }

    public String getPlatSn() {
        return platSn;
    }

    public void setPlatSn(String platSn) {
        this.platSn = platSn;
    }

    public String getPlatName() {
        return platName;
    }

    public void setPlatName(String platName) {
        this.platName = platName;
    }

    public String getThirdPartyMerchCode() {
        return thirdPartyMerchCode;
    }

    public void setThirdPartyMerchCode(String thirdPartyMerchCode) {
        this.thirdPartyMerchCode = thirdPartyMerchCode;
    }

    public String getThirdPartyMerchName() {
        return thirdPartyMerchName;
    }

    public void setThirdPartyMerchName(String thirdPartyMerchName) {
        this.thirdPartyMerchName = thirdPartyMerchName;
    }

    public String getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(String orderStatus) {
        this.orderStatus = orderStatus;
    }

    public Date getPlaceOrderlTime() {
        return placeOrderlTime;
    }

    public void setPlaceOrderlTime(Date placeOrderlTime) {
        this.placeOrderlTime = placeOrderlTime;
    }

    public String getSendStatus() {
        return sendStatus;
    }

    public void setSendStatus(String sendStatus) {
        this.sendStatus = sendStatus;
    }

    public String getAppType() {
        return appType;
    }

    public void setAppType(String appType) {
        this.appType = appType;
    }

    public String getAppTime() {
        return appTime;
    }

    public void setAppTime(String appTime) {
        this.appTime = appTime;
    }

    public String getAppStatus() {
        return appStatus;
    }

    public void setAppStatus(String appStatus) {
        this.appStatus = appStatus;
    }

    public String getPayCode() {
        return payCode;
    }

    public void setPayCode(String payCode) {
        this.payCode = payCode;
    }

    public String getPayName() {
        return payName;
    }

    public void setPayName(String payName) {
        this.payName = payName;
    }

    public String getPayTransactionId() {
        return payTransactionId;
    }

    public void setPayTransactionId(String payTransactionId) {
        this.payTransactionId = payTransactionId;
    }

    public String getEbpCode() {
        return ebpCode;
    }

    public void setEbpCode(String ebpCode) {
        this.ebpCode = ebpCode;
    }

    public String getEbpName() {
        return ebpName;
    }

    public void setEbpName(String ebpName) {
        this.ebpName = ebpName;
    }

    public String getPayerIdType() {
        return payerIdType;
    }

    public void setPayerIdType(String payerIdType) {
        this.payerIdType = payerIdType;
    }

    public String getPayerIdNumber() {
        return payerIdNumber;
    }

    public void setPayerIdNumber(String payerIdNumber) {
        this.payerIdNumber = payerIdNumber;
    }

    public String getPayerName() {
        return payerName;
    }

    public void setPayerName(String payerName) {
        this.payerName = payerName;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public BigDecimal getAmountPaid() {
        return amountPaid;
    }

    public void setAmountPaid(BigDecimal amountPaid) {
        this.amountPaid = amountPaid;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getPayTime() {
        return payTime;
    }

    public void setPayTime(String payTime) {
        this.payTime = payTime;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public String getCreaterSn() {
        return createrSn;
    }

    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModerSn() {
        return moderSn;
    }

    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    public Date getModTime() {
        return modTime;
    }

    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    public Date getTstm() {
        return tstm;
    }

    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    public String getExField() {
        return exField;
    }

    public void setExField(String exField) {
        this.exField = exField;
    }

    public String getExField2() {
        return exField2;
    }

    public void setExField2(String exField2) {
        this.exField2 = exField2;
    }

    public String getExField3() {
        return exField3;
    }

    public void setExField3(String exField3) {
        this.exField3 = exField3;
    }

    public String getExField4() {
        return exField4;
    }

    public void setExField4(String exField4) {
        this.exField4 = exField4;
    }

    public String getExField5() {
        return exField5;
    }

    public void setExField5(String exField5) {
        this.exField5 = exField5;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        CusPayment other = (CusPayment) that;
        return (this.getCusDirectPaySn() == null ? other.getCusDirectPaySn() == null : this.getCusDirectPaySn().equals(other.getCusDirectPaySn()))
            && (this.getCusPaySn() == null ? other.getCusPaySn() == null : this.getCusPaySn().equals(other.getCusPaySn()))
            && (this.getOrderSn() == null ? other.getOrderSn() == null : this.getOrderSn().equals(other.getOrderSn()))
            && (this.getMerchOrderSn() == null ? other.getMerchOrderSn() == null : this.getMerchOrderSn().equals(other.getMerchOrderSn()))
            && (this.getMerchSn() == null ? other.getMerchSn() == null : this.getMerchSn().equals(other.getMerchSn()))
            && (this.getMerchName() == null ? other.getMerchName() == null : this.getMerchName().equals(other.getMerchName()))
            && (this.getPlatSn() == null ? other.getPlatSn() == null : this.getPlatSn().equals(other.getPlatSn()))
            && (this.getPlatName() == null ? other.getPlatName() == null : this.getPlatName().equals(other.getPlatName()))
            && (this.getThirdPartyMerchCode() == null ? other.getThirdPartyMerchCode() == null : this.getThirdPartyMerchCode().equals(other.getThirdPartyMerchCode()))
            && (this.getThirdPartyMerchName() == null ? other.getThirdPartyMerchName() == null : this.getThirdPartyMerchName().equals(other.getThirdPartyMerchName()))
            && (this.getOrderStatus() == null ? other.getOrderStatus() == null : this.getOrderStatus().equals(other.getOrderStatus()))
            && (this.getPlaceOrderlTime() == null ? other.getPlaceOrderlTime() == null : this.getPlaceOrderlTime().equals(other.getPlaceOrderlTime()))
            && (this.getSendStatus() == null ? other.getSendStatus() == null : this.getSendStatus().equals(other.getSendStatus()))
            && (this.getAppType() == null ? other.getAppType() == null : this.getAppType().equals(other.getAppType()))
            && (this.getAppTime() == null ? other.getAppTime() == null : this.getAppTime().equals(other.getAppTime()))
            && (this.getAppStatus() == null ? other.getAppStatus() == null : this.getAppStatus().equals(other.getAppStatus()))
            && (this.getPayCode() == null ? other.getPayCode() == null : this.getPayCode().equals(other.getPayCode()))
            && (this.getPayName() == null ? other.getPayName() == null : this.getPayName().equals(other.getPayName()))
            && (this.getPayTransactionId() == null ? other.getPayTransactionId() == null : this.getPayTransactionId().equals(other.getPayTransactionId()))
            && (this.getEbpCode() == null ? other.getEbpCode() == null : this.getEbpCode().equals(other.getEbpCode()))
            && (this.getEbpName() == null ? other.getEbpName() == null : this.getEbpName().equals(other.getEbpName()))
            && (this.getPayerIdType() == null ? other.getPayerIdType() == null : this.getPayerIdType().equals(other.getPayerIdType()))
            && (this.getPayerIdNumber() == null ? other.getPayerIdNumber() == null : this.getPayerIdNumber().equals(other.getPayerIdNumber()))
            && (this.getPayerName() == null ? other.getPayerName() == null : this.getPayerName().equals(other.getPayerName()))
            && (this.getTelephone() == null ? other.getTelephone() == null : this.getTelephone().equals(other.getTelephone()))
            && (this.getAmountPaid() == null ? other.getAmountPaid() == null : this.getAmountPaid().equals(other.getAmountPaid()))
            && (this.getCurrency() == null ? other.getCurrency() == null : this.getCurrency().equals(other.getCurrency()))
            && (this.getPayTime() == null ? other.getPayTime() == null : this.getPayTime().equals(other.getPayTime()))
            && (this.getNote() == null ? other.getNote() == null : this.getNote().equals(other.getNote()))
            && (this.getCreaterSn() == null ? other.getCreaterSn() == null : this.getCreaterSn().equals(other.getCreaterSn()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getModerSn() == null ? other.getModerSn() == null : this.getModerSn().equals(other.getModerSn()))
            && (this.getModTime() == null ? other.getModTime() == null : this.getModTime().equals(other.getModTime()))
            && (this.getTstm() == null ? other.getTstm() == null : this.getTstm().equals(other.getTstm()))
            && (this.getExField() == null ? other.getExField() == null : this.getExField().equals(other.getExField()))
            && (this.getExField2() == null ? other.getExField2() == null : this.getExField2().equals(other.getExField2()))
            && (this.getExField3() == null ? other.getExField3() == null : this.getExField3().equals(other.getExField3()))
            && (this.getExField4() == null ? other.getExField4() == null : this.getExField4().equals(other.getExField4()))
            && (this.getExField5() == null ? other.getExField5() == null : this.getExField5().equals(other.getExField5()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getCusDirectPaySn() == null) ? 0 : getCusDirectPaySn().hashCode());
        result = prime * result + ((getCusPaySn() == null) ? 0 : getCusPaySn().hashCode());
        result = prime * result + ((getOrderSn() == null) ? 0 : getOrderSn().hashCode());
        result = prime * result + ((getMerchOrderSn() == null) ? 0 : getMerchOrderSn().hashCode());
        result = prime * result + ((getMerchSn() == null) ? 0 : getMerchSn().hashCode());
        result = prime * result + ((getMerchName() == null) ? 0 : getMerchName().hashCode());
        result = prime * result + ((getPlatSn() == null) ? 0 : getPlatSn().hashCode());
        result = prime * result + ((getPlatName() == null) ? 0 : getPlatName().hashCode());
        result = prime * result + ((getThirdPartyMerchCode() == null) ? 0 : getThirdPartyMerchCode().hashCode());
        result = prime * result + ((getThirdPartyMerchName() == null) ? 0 : getThirdPartyMerchName().hashCode());
        result = prime * result + ((getOrderStatus() == null) ? 0 : getOrderStatus().hashCode());
        result = prime * result + ((getPlaceOrderlTime() == null) ? 0 : getPlaceOrderlTime().hashCode());
        result = prime * result + ((getSendStatus() == null) ? 0 : getSendStatus().hashCode());
        result = prime * result + ((getAppType() == null) ? 0 : getAppType().hashCode());
        result = prime * result + ((getAppTime() == null) ? 0 : getAppTime().hashCode());
        result = prime * result + ((getAppStatus() == null) ? 0 : getAppStatus().hashCode());
        result = prime * result + ((getPayCode() == null) ? 0 : getPayCode().hashCode());
        result = prime * result + ((getPayName() == null) ? 0 : getPayName().hashCode());
        result = prime * result + ((getPayTransactionId() == null) ? 0 : getPayTransactionId().hashCode());
        result = prime * result + ((getEbpCode() == null) ? 0 : getEbpCode().hashCode());
        result = prime * result + ((getEbpName() == null) ? 0 : getEbpName().hashCode());
        result = prime * result + ((getPayerIdType() == null) ? 0 : getPayerIdType().hashCode());
        result = prime * result + ((getPayerIdNumber() == null) ? 0 : getPayerIdNumber().hashCode());
        result = prime * result + ((getPayerName() == null) ? 0 : getPayerName().hashCode());
        result = prime * result + ((getTelephone() == null) ? 0 : getTelephone().hashCode());
        result = prime * result + ((getAmountPaid() == null) ? 0 : getAmountPaid().hashCode());
        result = prime * result + ((getCurrency() == null) ? 0 : getCurrency().hashCode());
        result = prime * result + ((getPayTime() == null) ? 0 : getPayTime().hashCode());
        result = prime * result + ((getNote() == null) ? 0 : getNote().hashCode());
        result = prime * result + ((getCreaterSn() == null) ? 0 : getCreaterSn().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getModerSn() == null) ? 0 : getModerSn().hashCode());
        result = prime * result + ((getModTime() == null) ? 0 : getModTime().hashCode());
        result = prime * result + ((getTstm() == null) ? 0 : getTstm().hashCode());
        result = prime * result + ((getExField() == null) ? 0 : getExField().hashCode());
        result = prime * result + ((getExField2() == null) ? 0 : getExField2().hashCode());
        result = prime * result + ((getExField3() == null) ? 0 : getExField3().hashCode());
        result = prime * result + ((getExField4() == null) ? 0 : getExField4().hashCode());
        result = prime * result + ((getExField5() == null) ? 0 : getExField5().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", cusDirectPaySn=").append(cusDirectPaySn);
        sb.append(", cusPaySn=").append(cusPaySn);
        sb.append(", orderSn=").append(orderSn);
        sb.append(", merchOrderSn=").append(merchOrderSn);
        sb.append(", merchSn=").append(merchSn);
        sb.append(", merchName=").append(merchName);
        sb.append(", platSn=").append(platSn);
        sb.append(", platName=").append(platName);
        sb.append(", thirdPartyMerchCode=").append(thirdPartyMerchCode);
        sb.append(", thirdPartyMerchName=").append(thirdPartyMerchName);
        sb.append(", orderStatus=").append(orderStatus);
        sb.append(", placeOrderlTime=").append(placeOrderlTime);
        sb.append(", sendStatus=").append(sendStatus);
        sb.append(", appType=").append(appType);
        sb.append(", appTime=").append(appTime);
        sb.append(", appStatus=").append(appStatus);
        sb.append(", payCode=").append(payCode);
        sb.append(", payName=").append(payName);
        sb.append(", payTransactionId=").append(payTransactionId);
        sb.append(", ebpCode=").append(ebpCode);
        sb.append(", ebpName=").append(ebpName);
        sb.append(", payerIdType=").append(payerIdType);
        sb.append(", payerIdNumber=").append(payerIdNumber);
        sb.append(", payerName=").append(payerName);
        sb.append(", telephone=").append(telephone);
        sb.append(", amountPaid=").append(amountPaid);
        sb.append(", currency=").append(currency);
        sb.append(", payTime=").append(payTime);
        sb.append(", note=").append(note);
        sb.append(", createrSn=").append(createrSn);
        sb.append(", createTime=").append(createTime);
        sb.append(", moderSn=").append(moderSn);
        sb.append(", modTime=").append(modTime);
        sb.append(", tstm=").append(tstm);
        sb.append(", exField=").append(exField);
        sb.append(", exField2=").append(exField2);
        sb.append(", exField3=").append(exField3);
        sb.append(", exField4=").append(exField4);
        sb.append(", exField5=").append(exField5);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}