package com.emato.ccnet.domain.ccnet;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 
 */
public class CusPaymentStatus implements Serializable {
    private static final long serialVersionUID = -8285848536111902783L;
    /**
     * 支付单状态内部编号
     */
    private String cusPayStatusSn;

    /**
     * 支付单内部编号
     */
    private String cusPaySn;

    /**
     * ccnet订单编号，20位
     */
    private String orderSn;

    /**
     * 商户订单编号
     */
    private String merchOrderSn;

    /**
     * 商户编号
     */
    private String merchSn;

    /**
     * 商户名称
     */
    private String merchName;

    /**
     * 平台编号
     */
    private String platSn;

    /**
     * 平台中文名
     */
    private String platName;

    /**
     * 第三方商户代码
     */
    private String thirdPartyMerchCode;

    /**
     * 第三方商户名称
     */
    private String thirdPartyMerchName;

    /**
     * 发送状态，0:待发送，1:发送中，2:发送成功，3:发送失败
     */
    private String sendStatus;

    /**
     * 平台回执状态，0:待接收，1:发送中，2:发送成功，3:发送失败
     */
    private String platRespStatus;

    /**
     * 海关回执状态，0:待接收，1:发送中，2:发送成功，3:发送失败
     */
    private String cusRespStatus;

    /**
     * 国检回执状态，0:待接收，1:发送中，2:发送成功，3:发送失败
     */
    private String cipRespStatus;

    /**
     * 备注
     */
    private String note;

    /**
     * 创建人编号
     */
    private String createrSn;

    /**
     * 创建时间,yyyy-MM-dd HH:mm:ss
     */
    private Date createTime;

    /**
     * 修改人编号
     */
    private String moderSn;

    /**
     * 修改时间,yyyy-MM-dd HH:mm:ss
     */
    private Date modTime;

    /**
     * 时间戳
     */
    private Date tstm;

    public String getCusPayStatusSn() {
        return cusPayStatusSn;
    }

    public void setCusPayStatusSn(String cusPayStatusSn) {
        this.cusPayStatusSn = cusPayStatusSn;
    }

    public String getCusPaySn() {
        return cusPaySn;
    }

    public void setCusPaySn(String cusPaySn) {
        this.cusPaySn = cusPaySn;
    }

    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    public String getMerchOrderSn() {
        return merchOrderSn;
    }

    public void setMerchOrderSn(String merchOrderSn) {
        this.merchOrderSn = merchOrderSn;
    }

    public String getMerchSn() {
        return merchSn;
    }

    public void setMerchSn(String merchSn) {
        this.merchSn = merchSn;
    }

    public String getMerchName() {
        return merchName;
    }

    public void setMerchName(String merchName) {
        this.merchName = merchName;
    }

    public String getPlatSn() {
        return platSn;
    }

    public void setPlatSn(String platSn) {
        this.platSn = platSn;
    }

    public String getPlatName() {
        return platName;
    }

    public void setPlatName(String platName) {
        this.platName = platName;
    }

    public String getThirdPartyMerchCode() {
        return thirdPartyMerchCode;
    }

    public void setThirdPartyMerchCode(String thirdPartyMerchCode) {
        this.thirdPartyMerchCode = thirdPartyMerchCode;
    }

    public String getThirdPartyMerchName() {
        return thirdPartyMerchName;
    }

    public void setThirdPartyMerchName(String thirdPartyMerchName) {
        this.thirdPartyMerchName = thirdPartyMerchName;
    }

    public String getSendStatus() {
        return sendStatus;
    }

    public void setSendStatus(String sendStatus) {
        this.sendStatus = sendStatus;
    }

    public String getPlatRespStatus() {
        return platRespStatus;
    }

    public void setPlatRespStatus(String platRespStatus) {
        this.platRespStatus = platRespStatus;
    }

    public String getCusRespStatus() {
        return cusRespStatus;
    }

    public void setCusRespStatus(String cusRespStatus) {
        this.cusRespStatus = cusRespStatus;
    }

    public String getCipRespStatus() {
        return cipRespStatus;
    }

    public void setCipRespStatus(String cipRespStatus) {
        this.cipRespStatus = cipRespStatus;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public String getCreaterSn() {
        return createrSn;
    }

    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModerSn() {
        return moderSn;
    }

    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    public Date getModTime() {
        return modTime;
    }

    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    public Date getTstm() {
        return tstm;
    }

    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        CusPaymentStatus other = (CusPaymentStatus) that;
        return (this.getCusPayStatusSn() == null ? other.getCusPayStatusSn() == null : this.getCusPayStatusSn().equals(other.getCusPayStatusSn()))
            && (this.getCusPaySn() == null ? other.getCusPaySn() == null : this.getCusPaySn().equals(other.getCusPaySn()))
            && (this.getOrderSn() == null ? other.getOrderSn() == null : this.getOrderSn().equals(other.getOrderSn()))
            && (this.getMerchOrderSn() == null ? other.getMerchOrderSn() == null : this.getMerchOrderSn().equals(other.getMerchOrderSn()))
            && (this.getMerchSn() == null ? other.getMerchSn() == null : this.getMerchSn().equals(other.getMerchSn()))
            && (this.getMerchName() == null ? other.getMerchName() == null : this.getMerchName().equals(other.getMerchName()))
            && (this.getPlatSn() == null ? other.getPlatSn() == null : this.getPlatSn().equals(other.getPlatSn()))
            && (this.getPlatName() == null ? other.getPlatName() == null : this.getPlatName().equals(other.getPlatName()))
            && (this.getThirdPartyMerchCode() == null ? other.getThirdPartyMerchCode() == null : this.getThirdPartyMerchCode().equals(other.getThirdPartyMerchCode()))
            && (this.getThirdPartyMerchName() == null ? other.getThirdPartyMerchName() == null : this.getThirdPartyMerchName().equals(other.getThirdPartyMerchName()))
            && (this.getSendStatus() == null ? other.getSendStatus() == null : this.getSendStatus().equals(other.getSendStatus()))
            && (this.getPlatRespStatus() == null ? other.getPlatRespStatus() == null : this.getPlatRespStatus().equals(other.getPlatRespStatus()))
            && (this.getCusRespStatus() == null ? other.getCusRespStatus() == null : this.getCusRespStatus().equals(other.getCusRespStatus()))
            && (this.getCipRespStatus() == null ? other.getCipRespStatus() == null : this.getCipRespStatus().equals(other.getCipRespStatus()))
            && (this.getNote() == null ? other.getNote() == null : this.getNote().equals(other.getNote()))
            && (this.getCreaterSn() == null ? other.getCreaterSn() == null : this.getCreaterSn().equals(other.getCreaterSn()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getModerSn() == null ? other.getModerSn() == null : this.getModerSn().equals(other.getModerSn()))
            && (this.getModTime() == null ? other.getModTime() == null : this.getModTime().equals(other.getModTime()))
            && (this.getTstm() == null ? other.getTstm() == null : this.getTstm().equals(other.getTstm()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getCusPayStatusSn() == null) ? 0 : getCusPayStatusSn().hashCode());
        result = prime * result + ((getCusPaySn() == null) ? 0 : getCusPaySn().hashCode());
        result = prime * result + ((getOrderSn() == null) ? 0 : getOrderSn().hashCode());
        result = prime * result + ((getMerchOrderSn() == null) ? 0 : getMerchOrderSn().hashCode());
        result = prime * result + ((getMerchSn() == null) ? 0 : getMerchSn().hashCode());
        result = prime * result + ((getMerchName() == null) ? 0 : getMerchName().hashCode());
        result = prime * result + ((getPlatSn() == null) ? 0 : getPlatSn().hashCode());
        result = prime * result + ((getPlatName() == null) ? 0 : getPlatName().hashCode());
        result = prime * result + ((getThirdPartyMerchCode() == null) ? 0 : getThirdPartyMerchCode().hashCode());
        result = prime * result + ((getThirdPartyMerchName() == null) ? 0 : getThirdPartyMerchName().hashCode());
        result = prime * result + ((getSendStatus() == null) ? 0 : getSendStatus().hashCode());
        result = prime * result + ((getPlatRespStatus() == null) ? 0 : getPlatRespStatus().hashCode());
        result = prime * result + ((getCusRespStatus() == null) ? 0 : getCusRespStatus().hashCode());
        result = prime * result + ((getCipRespStatus() == null) ? 0 : getCipRespStatus().hashCode());
        result = prime * result + ((getNote() == null) ? 0 : getNote().hashCode());
        result = prime * result + ((getCreaterSn() == null) ? 0 : getCreaterSn().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getModerSn() == null) ? 0 : getModerSn().hashCode());
        result = prime * result + ((getModTime() == null) ? 0 : getModTime().hashCode());
        result = prime * result + ((getTstm() == null) ? 0 : getTstm().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", cusPayStatusSn=").append(cusPayStatusSn);
        sb.append(", cusPaySn=").append(cusPaySn);
        sb.append(", orderSn=").append(orderSn);
        sb.append(", merchOrderSn=").append(merchOrderSn);
        sb.append(", merchSn=").append(merchSn);
        sb.append(", merchName=").append(merchName);
        sb.append(", platSn=").append(platSn);
        sb.append(", platName=").append(platName);
        sb.append(", thirdPartyMerchCode=").append(thirdPartyMerchCode);
        sb.append(", thirdPartyMerchName=").append(thirdPartyMerchName);
        sb.append(", sendStatus=").append(sendStatus);
        sb.append(", platRespStatus=").append(platRespStatus);
        sb.append(", cusRespStatus=").append(cusRespStatus);
        sb.append(", cipRespStatus=").append(cipRespStatus);
        sb.append(", note=").append(note);
        sb.append(", createrSn=").append(createrSn);
        sb.append(", createTime=").append(createTime);
        sb.append(", moderSn=").append(moderSn);
        sb.append(", modTime=").append(modTime);
        sb.append(", tstm=").append(tstm);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}