package com.emato.ccnet.domain.ccnet;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author 
 */
public class CusWaybill implements Serializable {
    private static final long serialVersionUID = -1569417785173319489L;
    /**
     * 运单内部编号
     */
    private String cusWaybillSn;

    /**
     * 商户订单编号
     */
    private String merchOrderSn;

    /**
     * 商户编号
     */
    private String merchSn;

    /**
     * 商户名称
     */
    private String merchName;

    /**
     * 平台编号
     */
    private String platSn;

    /**
     * 平台中文名
     */
    private String platName;

    /**
     * 第三方商户代码
     */
    private String thirdPartyMerchCode;

    /**
     * 第三方商户名称
     */
    private String thirdPartyMerchName;

    /**
     * 商户下单时间,yyyyMMddHHmmss
     */
    @JsonFormat(pattern = "yyyyMMddHHmmss")
    private Date placeOrderlTime;

    /**
     * 是否自动发送，商户传入，如果为空，默认为0，0:是,1:否
     */
    private String autoSend = "0";

    /**
     * 订购人下单时间 yyyy-MM-dd HH:mm:ss
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date buyerBillTime;

    /**
     * 订购人证件类型，限定为1，1:身份证，2:其它
     */
    private String buyerIdType = "1";

    /**
     * 订购人证件号码
     */
    private String buyerIdCode;

    /**
     * 订购人姓名
     */
    private String buyerName;

    /**
     * 订购人手机
     */
    private String buyerMob;

    /**
     * 订购人电话
     */
    private String buyerTel;

    /**
     * 收件人证件类型，如果为空，默认为订购人证件类型，限定为1，1:身份证，2:其它
     */
    private String consigneeIdType = "1";

    /**
     * 收件人证件号码，如果为空，默认为订购人证件号码
     */
    private String consigneeIdCode;

    /**
     * 收件人名称，必须与电子运单收货人姓名一致
     */
    private String consigneeName;

    /**
     * 收件人手机
     */
    private String consigneeMob;

    /**
     * 收件人电话
     */
    private String consigneeTel;

    /**
     * 收件人国家代码
     */
    private String consigneeCountryCode = "142";

    /**
     * 收件人省份代码，海关区划代码
     */
    private String consigneeProvinceCode;

    /**
     * 收件人省份
     */
    private String consigneeProvince;

    /**
     * 收件人市代码，海关区划代码
     */
    private String consigneeCityCode;

    /**
     * 收件人市
     */
    private String consigneeCity;

    /**
     * 收件人区县代码，海关区划代码
     */
    private String consigneeDistrictCode;

    /**
     * 收件人区县
     */
    private String consigneeDistrict;

    /**
     * 收件人地址
     */
    private String consigneeAddress;

    /**
     * 收件人邮编
     */
    private String consigneeZipCode;

    /**
     * 支付人姓名
     */
    private String payerName;

    /**
     * 支付人证件类型,如果为空，默认为订购人证件类型，限定为1，1:身份证，2:其它
     */
    private String payerIdType = "1";

    /**
     * 支付人证件号码
     */
    private String payerIdCode;

    /**
     * 支付人手机
     */
    private String payerMob;

    /**
     * 支付人电话
     */
    private String payerTel;

    /**
     * 支付企业海关备案编号
     */
    private String payEntCusCode;

    /**
     * 支付流水号
     */
    private String payNo;

    /**
     * 实际支付金额，海关要求每单不超过2000元
     */
    private BigDecimal acturalPaid;

    /**
     * 支付时间，yyyy-MM-dd HH:mm:ss
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date payTime;

    /**
     * 运费，商品运输费用，无则填0，目前申报海关填0
     */
    private BigDecimal exprFee = new BigDecimal(0);

    /**
     * 保价费，商品保险费用，无则填0，目前申报海关填0
     */
    private BigDecimal insuredFee = new BigDecimal(0);

    /**
     * 申报行邮税(未使用)
     */
    private BigDecimal postTax;

    /**
     * 币制代码，海关编码，限定人民币142
     */
    private String currencyCode = "142";

    /**
     * 订购人备注
     */
    private String buyerRemark;

    /**
     * 创建人编号
     */
    private String createrSn;

    /**
     * 创建时间,yyyy-MM-dd HH:mm:ss
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 修改人编号
     */
    private String moderSn;

    /**
     * 修改时间,yyyy-MM-dd HH:mm:ss
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date modTime;

    /**
     * 时间戳
     */
    private Date tstm;

    private String exField;

    private String exField2;

    private String exField3;

    private String exField4;

    private String exField5;

    public String getCusWaybillSn() {
        return cusWaybillSn;
    }

    public void setCusWaybillSn(String cusWaybillSn) {
        this.cusWaybillSn = cusWaybillSn;
    }

    public String getMerchOrderSn() {
        return merchOrderSn;
    }

    public void setMerchOrderSn(String merchOrderSn) {
        this.merchOrderSn = merchOrderSn;
    }

    public String getMerchSn() {
        return merchSn;
    }

    public void setMerchSn(String merchSn) {
        this.merchSn = merchSn;
    }

    public String getMerchName() {
        return merchName;
    }

    public void setMerchName(String merchName) {
        this.merchName = merchName;
    }

    public String getPlatSn() {
        return platSn;
    }

    public void setPlatSn(String platSn) {
        this.platSn = platSn;
    }

    public String getPlatName() {
        return platName;
    }

    public void setPlatName(String platName) {
        this.platName = platName;
    }

    public String getThirdPartyMerchCode() {
        return thirdPartyMerchCode;
    }

    public void setThirdPartyMerchCode(String thirdPartyMerchCode) {
        this.thirdPartyMerchCode = thirdPartyMerchCode;
    }

    public String getThirdPartyMerchName() {
        return thirdPartyMerchName;
    }

    public void setThirdPartyMerchName(String thirdPartyMerchName) {
        this.thirdPartyMerchName = thirdPartyMerchName;
    }

    public Date getPlaceOrderlTime() {
        return placeOrderlTime;
    }

    public void setPlaceOrderlTime(Date placeOrderlTime) {
        this.placeOrderlTime = placeOrderlTime;
    }

    public String getAutoSend() {
        return autoSend;
    }

    public void setAutoSend(String autoSend) {
        this.autoSend = autoSend;
    }

    public Date getBuyerBillTime() {
        return buyerBillTime;
    }

    public void setBuyerBillTime(Date buyerBillTime) {
        this.buyerBillTime = buyerBillTime;
    }

    public String getBuyerIdType() {
        return buyerIdType;
    }

    public void setBuyerIdType(String buyerIdType) {
        this.buyerIdType = buyerIdType;
    }

    public String getBuyerIdCode() {
        return buyerIdCode;
    }

    public void setBuyerIdCode(String buyerIdCode) {
        this.buyerIdCode = buyerIdCode;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public String getBuyerMob() {
        return buyerMob;
    }

    public void setBuyerMob(String buyerMob) {
        this.buyerMob = buyerMob;
    }

    public String getBuyerTel() {
        return buyerTel;
    }

    public void setBuyerTel(String buyerTel) {
        this.buyerTel = buyerTel;
    }

    public String getConsigneeIdType() {
        return consigneeIdType;
    }

    public void setConsigneeIdType(String consigneeIdType) {
        this.consigneeIdType = consigneeIdType;
    }

    public String getConsigneeIdCode() {
        return consigneeIdCode;
    }

    public void setConsigneeIdCode(String consigneeIdCode) {
        this.consigneeIdCode = consigneeIdCode;
    }

    public String getConsigneeName() {
        return consigneeName;
    }

    public void setConsigneeName(String consigneeName) {
        this.consigneeName = consigneeName;
    }

    public String getConsigneeMob() {
        return consigneeMob;
    }

    public void setConsigneeMob(String consigneeMob) {
        this.consigneeMob = consigneeMob;
    }

    public String getConsigneeTel() {
        return consigneeTel;
    }

    public void setConsigneeTel(String consigneeTel) {
        this.consigneeTel = consigneeTel;
    }

    public String getConsigneeCountryCode() {
        return consigneeCountryCode;
    }

    public void setConsigneeCountryCode(String consigneeCountryCode) {
        this.consigneeCountryCode = consigneeCountryCode;
    }

    public String getConsigneeProvinceCode() {
        return consigneeProvinceCode;
    }

    public void setConsigneeProvinceCode(String consigneeProvinceCode) {
        this.consigneeProvinceCode = consigneeProvinceCode;
    }

    public String getConsigneeProvince() {
        return consigneeProvince;
    }

    public void setConsigneeProvince(String consigneeProvince) {
        this.consigneeProvince = consigneeProvince;
    }

    public String getConsigneeCityCode() {
        return consigneeCityCode;
    }

    public void setConsigneeCityCode(String consigneeCityCode) {
        this.consigneeCityCode = consigneeCityCode;
    }

    public String getConsigneeCity() {
        return consigneeCity;
    }

    public void setConsigneeCity(String consigneeCity) {
        this.consigneeCity = consigneeCity;
    }

    public String getConsigneeDistrictCode() {
        return consigneeDistrictCode;
    }

    public void setConsigneeDistrictCode(String consigneeDistrictCode) {
        this.consigneeDistrictCode = consigneeDistrictCode;
    }

    public String getConsigneeDistrict() {
        return consigneeDistrict;
    }

    public void setConsigneeDistrict(String consigneeDistrict) {
        this.consigneeDistrict = consigneeDistrict;
    }

    public String getConsigneeAddress() {
        return consigneeAddress;
    }

    public void setConsigneeAddress(String consigneeAddress) {
        this.consigneeAddress = consigneeAddress;
    }

    public String getConsigneeZipCode() {
        return consigneeZipCode;
    }

    public void setConsigneeZipCode(String consigneeZipCode) {
        this.consigneeZipCode = consigneeZipCode;
    }

    public String getPayerName() {
        return payerName;
    }

    public void setPayerName(String payerName) {
        this.payerName = payerName;
    }

    public String getPayerIdType() {
        return payerIdType;
    }

    public void setPayerIdType(String payerIdType) {
        this.payerIdType = payerIdType;
    }

    public String getPayerIdCode() {
        return payerIdCode;
    }

    public void setPayerIdCode(String payerIdCode) {
        this.payerIdCode = payerIdCode;
    }

    public String getPayerMob() {
        return payerMob;
    }

    public void setPayerMob(String payerMob) {
        this.payerMob = payerMob;
    }

    public String getPayerTel() {
        return payerTel;
    }

    public void setPayerTel(String payerTel) {
        this.payerTel = payerTel;
    }

    public String getPayEntCusCode() {
        return payEntCusCode;
    }

    public void setPayEntCusCode(String payEntCusCode) {
        this.payEntCusCode = payEntCusCode;
    }

    public String getPayNo() {
        return payNo;
    }

    public void setPayNo(String payNo) {
        this.payNo = payNo;
    }

    public BigDecimal getActuralPaid() {
        return acturalPaid;
    }

    public void setActuralPaid(BigDecimal acturalPaid) {
        this.acturalPaid = acturalPaid;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public BigDecimal getExprFee() {
        return exprFee;
    }

    public void setExprFee(BigDecimal exprFee) {
        this.exprFee = exprFee;
    }

    public BigDecimal getInsuredFee() {
        return insuredFee;
    }

    public void setInsuredFee(BigDecimal insuredFee) {
        this.insuredFee = insuredFee;
    }

    public BigDecimal getPostTax() {
        return postTax;
    }

    public void setPostTax(BigDecimal postTax) {
        this.postTax = postTax;
    }

    public String getCurrencyCode() {
        return currencyCode;
    }

    public void setCurrencyCode(String currencyCode) {
        this.currencyCode = currencyCode;
    }

    public String getBuyerRemark() {
        return buyerRemark;
    }

    public void setBuyerRemark(String buyerRemark) {
        this.buyerRemark = buyerRemark;
    }

    public String getCreaterSn() {
        return createrSn;
    }

    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModerSn() {
        return moderSn;
    }

    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    public Date getModTime() {
        return modTime;
    }

    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    public Date getTstm() {
        return tstm;
    }

    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    public String getExField() {
        return exField;
    }

    public void setExField(String exField) {
        this.exField = exField;
    }

    public String getExField2() {
        return exField2;
    }

    public void setExField2(String exField2) {
        this.exField2 = exField2;
    }

    public String getExField3() {
        return exField3;
    }

    public void setExField3(String exField3) {
        this.exField3 = exField3;
    }

    public String getExField4() {
        return exField4;
    }

    public void setExField4(String exField4) {
        this.exField4 = exField4;
    }

    public String getExField5() {
        return exField5;
    }

    public void setExField5(String exField5) {
        this.exField5 = exField5;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        CusWaybill other = (CusWaybill) that;
        return (this.getCusWaybillSn() == null ? other.getCusWaybillSn() == null : this.getCusWaybillSn().equals(other.getCusWaybillSn()))
            && (this.getMerchOrderSn() == null ? other.getMerchOrderSn() == null : this.getMerchOrderSn().equals(other.getMerchOrderSn()))
            && (this.getMerchSn() == null ? other.getMerchSn() == null : this.getMerchSn().equals(other.getMerchSn()))
            && (this.getMerchName() == null ? other.getMerchName() == null : this.getMerchName().equals(other.getMerchName()))
            && (this.getPlatSn() == null ? other.getPlatSn() == null : this.getPlatSn().equals(other.getPlatSn()))
            && (this.getPlatName() == null ? other.getPlatName() == null : this.getPlatName().equals(other.getPlatName()))
            && (this.getThirdPartyMerchCode() == null ? other.getThirdPartyMerchCode() == null : this.getThirdPartyMerchCode().equals(other.getThirdPartyMerchCode()))
            && (this.getThirdPartyMerchName() == null ? other.getThirdPartyMerchName() == null : this.getThirdPartyMerchName().equals(other.getThirdPartyMerchName()))
            && (this.getPlaceOrderlTime() == null ? other.getPlaceOrderlTime() == null : this.getPlaceOrderlTime().equals(other.getPlaceOrderlTime()))
            && (this.getAutoSend() == null ? other.getAutoSend() == null : this.getAutoSend().equals(other.getAutoSend()))
            && (this.getBuyerBillTime() == null ? other.getBuyerBillTime() == null : this.getBuyerBillTime().equals(other.getBuyerBillTime()))
            && (this.getBuyerIdType() == null ? other.getBuyerIdType() == null : this.getBuyerIdType().equals(other.getBuyerIdType()))
            && (this.getBuyerIdCode() == null ? other.getBuyerIdCode() == null : this.getBuyerIdCode().equals(other.getBuyerIdCode()))
            && (this.getBuyerName() == null ? other.getBuyerName() == null : this.getBuyerName().equals(other.getBuyerName()))
            && (this.getBuyerMob() == null ? other.getBuyerMob() == null : this.getBuyerMob().equals(other.getBuyerMob()))
            && (this.getBuyerTel() == null ? other.getBuyerTel() == null : this.getBuyerTel().equals(other.getBuyerTel()))
            && (this.getConsigneeIdType() == null ? other.getConsigneeIdType() == null : this.getConsigneeIdType().equals(other.getConsigneeIdType()))
            && (this.getConsigneeIdCode() == null ? other.getConsigneeIdCode() == null : this.getConsigneeIdCode().equals(other.getConsigneeIdCode()))
            && (this.getConsigneeName() == null ? other.getConsigneeName() == null : this.getConsigneeName().equals(other.getConsigneeName()))
            && (this.getConsigneeMob() == null ? other.getConsigneeMob() == null : this.getConsigneeMob().equals(other.getConsigneeMob()))
            && (this.getConsigneeTel() == null ? other.getConsigneeTel() == null : this.getConsigneeTel().equals(other.getConsigneeTel()))
            && (this.getConsigneeCountryCode() == null ? other.getConsigneeCountryCode() == null : this.getConsigneeCountryCode().equals(other.getConsigneeCountryCode()))
            && (this.getConsigneeProvinceCode() == null ? other.getConsigneeProvinceCode() == null : this.getConsigneeProvinceCode().equals(other.getConsigneeProvinceCode()))
            && (this.getConsigneeProvince() == null ? other.getConsigneeProvince() == null : this.getConsigneeProvince().equals(other.getConsigneeProvince()))
            && (this.getConsigneeCityCode() == null ? other.getConsigneeCityCode() == null : this.getConsigneeCityCode().equals(other.getConsigneeCityCode()))
            && (this.getConsigneeCity() == null ? other.getConsigneeCity() == null : this.getConsigneeCity().equals(other.getConsigneeCity()))
            && (this.getConsigneeDistrictCode() == null ? other.getConsigneeDistrictCode() == null : this.getConsigneeDistrictCode().equals(other.getConsigneeDistrictCode()))
            && (this.getConsigneeDistrict() == null ? other.getConsigneeDistrict() == null : this.getConsigneeDistrict().equals(other.getConsigneeDistrict()))
            && (this.getConsigneeAddress() == null ? other.getConsigneeAddress() == null : this.getConsigneeAddress().equals(other.getConsigneeAddress()))
            && (this.getConsigneeZipCode() == null ? other.getConsigneeZipCode() == null : this.getConsigneeZipCode().equals(other.getConsigneeZipCode()))
            && (this.getPayerName() == null ? other.getPayerName() == null : this.getPayerName().equals(other.getPayerName()))
            && (this.getPayerIdType() == null ? other.getPayerIdType() == null : this.getPayerIdType().equals(other.getPayerIdType()))
            && (this.getPayerIdCode() == null ? other.getPayerIdCode() == null : this.getPayerIdCode().equals(other.getPayerIdCode()))
            && (this.getPayerMob() == null ? other.getPayerMob() == null : this.getPayerMob().equals(other.getPayerMob()))
            && (this.getPayerTel() == null ? other.getPayerTel() == null : this.getPayerTel().equals(other.getPayerTel()))
            && (this.getPayEntCusCode() == null ? other.getPayEntCusCode() == null : this.getPayEntCusCode().equals(other.getPayEntCusCode()))
            && (this.getPayNo() == null ? other.getPayNo() == null : this.getPayNo().equals(other.getPayNo()))
            && (this.getActuralPaid() == null ? other.getActuralPaid() == null : this.getActuralPaid().equals(other.getActuralPaid()))
            && (this.getPayTime() == null ? other.getPayTime() == null : this.getPayTime().equals(other.getPayTime()))
            && (this.getExprFee() == null ? other.getExprFee() == null : this.getExprFee().equals(other.getExprFee()))
            && (this.getInsuredFee() == null ? other.getInsuredFee() == null : this.getInsuredFee().equals(other.getInsuredFee()))
            && (this.getPostTax() == null ? other.getPostTax() == null : this.getPostTax().equals(other.getPostTax()))
            && (this.getCurrencyCode() == null ? other.getCurrencyCode() == null : this.getCurrencyCode().equals(other.getCurrencyCode()))
            && (this.getBuyerRemark() == null ? other.getBuyerRemark() == null : this.getBuyerRemark().equals(other.getBuyerRemark()))
            && (this.getCreaterSn() == null ? other.getCreaterSn() == null : this.getCreaterSn().equals(other.getCreaterSn()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getModerSn() == null ? other.getModerSn() == null : this.getModerSn().equals(other.getModerSn()))
            && (this.getModTime() == null ? other.getModTime() == null : this.getModTime().equals(other.getModTime()))
            && (this.getTstm() == null ? other.getTstm() == null : this.getTstm().equals(other.getTstm()))
            && (this.getExField() == null ? other.getExField() == null : this.getExField().equals(other.getExField()))
            && (this.getExField2() == null ? other.getExField2() == null : this.getExField2().equals(other.getExField2()))
            && (this.getExField3() == null ? other.getExField3() == null : this.getExField3().equals(other.getExField3()))
            && (this.getExField4() == null ? other.getExField4() == null : this.getExField4().equals(other.getExField4()))
            && (this.getExField5() == null ? other.getExField5() == null : this.getExField5().equals(other.getExField5()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getCusWaybillSn() == null) ? 0 : getCusWaybillSn().hashCode());
        result = prime * result + ((getMerchOrderSn() == null) ? 0 : getMerchOrderSn().hashCode());
        result = prime * result + ((getMerchSn() == null) ? 0 : getMerchSn().hashCode());
        result = prime * result + ((getMerchName() == null) ? 0 : getMerchName().hashCode());
        result = prime * result + ((getPlatSn() == null) ? 0 : getPlatSn().hashCode());
        result = prime * result + ((getPlatName() == null) ? 0 : getPlatName().hashCode());
        result = prime * result + ((getThirdPartyMerchCode() == null) ? 0 : getThirdPartyMerchCode().hashCode());
        result = prime * result + ((getThirdPartyMerchName() == null) ? 0 : getThirdPartyMerchName().hashCode());
        result = prime * result + ((getPlaceOrderlTime() == null) ? 0 : getPlaceOrderlTime().hashCode());
        result = prime * result + ((getAutoSend() == null) ? 0 : getAutoSend().hashCode());
        result = prime * result + ((getBuyerBillTime() == null) ? 0 : getBuyerBillTime().hashCode());
        result = prime * result + ((getBuyerIdType() == null) ? 0 : getBuyerIdType().hashCode());
        result = prime * result + ((getBuyerIdCode() == null) ? 0 : getBuyerIdCode().hashCode());
        result = prime * result + ((getBuyerName() == null) ? 0 : getBuyerName().hashCode());
        result = prime * result + ((getBuyerMob() == null) ? 0 : getBuyerMob().hashCode());
        result = prime * result + ((getBuyerTel() == null) ? 0 : getBuyerTel().hashCode());
        result = prime * result + ((getConsigneeIdType() == null) ? 0 : getConsigneeIdType().hashCode());
        result = prime * result + ((getConsigneeIdCode() == null) ? 0 : getConsigneeIdCode().hashCode());
        result = prime * result + ((getConsigneeName() == null) ? 0 : getConsigneeName().hashCode());
        result = prime * result + ((getConsigneeMob() == null) ? 0 : getConsigneeMob().hashCode());
        result = prime * result + ((getConsigneeTel() == null) ? 0 : getConsigneeTel().hashCode());
        result = prime * result + ((getConsigneeCountryCode() == null) ? 0 : getConsigneeCountryCode().hashCode());
        result = prime * result + ((getConsigneeProvinceCode() == null) ? 0 : getConsigneeProvinceCode().hashCode());
        result = prime * result + ((getConsigneeProvince() == null) ? 0 : getConsigneeProvince().hashCode());
        result = prime * result + ((getConsigneeCityCode() == null) ? 0 : getConsigneeCityCode().hashCode());
        result = prime * result + ((getConsigneeCity() == null) ? 0 : getConsigneeCity().hashCode());
        result = prime * result + ((getConsigneeDistrictCode() == null) ? 0 : getConsigneeDistrictCode().hashCode());
        result = prime * result + ((getConsigneeDistrict() == null) ? 0 : getConsigneeDistrict().hashCode());
        result = prime * result + ((getConsigneeAddress() == null) ? 0 : getConsigneeAddress().hashCode());
        result = prime * result + ((getConsigneeZipCode() == null) ? 0 : getConsigneeZipCode().hashCode());
        result = prime * result + ((getPayerName() == null) ? 0 : getPayerName().hashCode());
        result = prime * result + ((getPayerIdType() == null) ? 0 : getPayerIdType().hashCode());
        result = prime * result + ((getPayerIdCode() == null) ? 0 : getPayerIdCode().hashCode());
        result = prime * result + ((getPayerMob() == null) ? 0 : getPayerMob().hashCode());
        result = prime * result + ((getPayerTel() == null) ? 0 : getPayerTel().hashCode());
        result = prime * result + ((getPayEntCusCode() == null) ? 0 : getPayEntCusCode().hashCode());
        result = prime * result + ((getPayNo() == null) ? 0 : getPayNo().hashCode());
        result = prime * result + ((getActuralPaid() == null) ? 0 : getActuralPaid().hashCode());
        result = prime * result + ((getPayTime() == null) ? 0 : getPayTime().hashCode());
        result = prime * result + ((getExprFee() == null) ? 0 : getExprFee().hashCode());
        result = prime * result + ((getInsuredFee() == null) ? 0 : getInsuredFee().hashCode());
        result = prime * result + ((getPostTax() == null) ? 0 : getPostTax().hashCode());
        result = prime * result + ((getCurrencyCode() == null) ? 0 : getCurrencyCode().hashCode());
        result = prime * result + ((getBuyerRemark() == null) ? 0 : getBuyerRemark().hashCode());
        result = prime * result + ((getCreaterSn() == null) ? 0 : getCreaterSn().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getModerSn() == null) ? 0 : getModerSn().hashCode());
        result = prime * result + ((getModTime() == null) ? 0 : getModTime().hashCode());
        result = prime * result + ((getTstm() == null) ? 0 : getTstm().hashCode());
        result = prime * result + ((getExField() == null) ? 0 : getExField().hashCode());
        result = prime * result + ((getExField2() == null) ? 0 : getExField2().hashCode());
        result = prime * result + ((getExField3() == null) ? 0 : getExField3().hashCode());
        result = prime * result + ((getExField4() == null) ? 0 : getExField4().hashCode());
        result = prime * result + ((getExField5() == null) ? 0 : getExField5().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", cusWaybillSn=").append(cusWaybillSn);
        sb.append(", merchOrderSn=").append(merchOrderSn);
        sb.append(", merchSn=").append(merchSn);
        sb.append(", merchName=").append(merchName);
        sb.append(", platSn=").append(platSn);
        sb.append(", platName=").append(platName);
        sb.append(", thirdPartyMerchCode=").append(thirdPartyMerchCode);
        sb.append(", thirdPartyMerchName=").append(thirdPartyMerchName);
        sb.append(", placeOrderlTime=").append(placeOrderlTime);
        sb.append(", autoSend=").append(autoSend);
        sb.append(", buyerBillTime=").append(buyerBillTime);
        sb.append(", buyerIdType=").append(buyerIdType);
        sb.append(", buyerIdCode=").append(buyerIdCode);
        sb.append(", buyerName=").append(buyerName);
        sb.append(", buyerMob=").append(buyerMob);
        sb.append(", buyerTel=").append(buyerTel);
        sb.append(", consigneeIdType=").append(consigneeIdType);
        sb.append(", consigneeIdCode=").append(consigneeIdCode);
        sb.append(", consigneeName=").append(consigneeName);
        sb.append(", consigneeMob=").append(consigneeMob);
        sb.append(", consigneeTel=").append(consigneeTel);
        sb.append(", consigneeCountryCode=").append(consigneeCountryCode);
        sb.append(", consigneeProvinceCode=").append(consigneeProvinceCode);
        sb.append(", consigneeProvince=").append(consigneeProvince);
        sb.append(", consigneeCityCode=").append(consigneeCityCode);
        sb.append(", consigneeCity=").append(consigneeCity);
        sb.append(", consigneeDistrictCode=").append(consigneeDistrictCode);
        sb.append(", consigneeDistrict=").append(consigneeDistrict);
        sb.append(", consigneeAddress=").append(consigneeAddress);
        sb.append(", consigneeZipCode=").append(consigneeZipCode);
        sb.append(", payerName=").append(payerName);
        sb.append(", payerIdType=").append(payerIdType);
        sb.append(", payerIdCode=").append(payerIdCode);
        sb.append(", payerMob=").append(payerMob);
        sb.append(", payerTel=").append(payerTel);
        sb.append(", payEntCusCode=").append(payEntCusCode);
        sb.append(", payNo=").append(payNo);
        sb.append(", acturalPaid=").append(acturalPaid);
        sb.append(", payTime=").append(payTime);
        sb.append(", exprFee=").append(exprFee);
        sb.append(", insuredFee=").append(insuredFee);
        sb.append(", postTax=").append(postTax);
        sb.append(", currencyCode=").append(currencyCode);
        sb.append(", buyerRemark=").append(buyerRemark);
        sb.append(", createrSn=").append(createrSn);
        sb.append(", createTime=").append(createTime);
        sb.append(", moderSn=").append(moderSn);
        sb.append(", modTime=").append(modTime);
        sb.append(", tstm=").append(tstm);
        sb.append(", exField=").append(exField);
        sb.append(", exField2=").append(exField2);
        sb.append(", exField3=").append(exField3);
        sb.append(", exField4=").append(exField4);
        sb.append(", exField5=").append(exField5);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}