package com.emato.ccnet.domain.kmall;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 海关支付单数据
 * @author Scott Chen
 * @version 1.0
 * 2017-11-04 16:55
 */
public class PayBill implements Serializable {
    private static final long serialVersionUID = 9201078057209811662L;
    /**
     *订单编号
     */
    private String orderNo;
    /**
     * 第三方商户代码
     */
    private String sellerId;
    /**
     * 第三方商户名称
     */
    private String sellerName;
    /**
     *下单时间
     */
    private Date createTime;
    /**
     *支付宝交易号
     */
    private String tradeNo;
    /**
     *报关金额
     */
    private BigDecimal realAmount;

    /**
     *订购人姓名
     */
    private String trueName;

    /**
     *订购人证件类型
     */
    private String idType;

    /**
     *订购人证件号
     */
    private String idCode;

    private String mobile;
    private String currency;
    private LocalDateTime payTime;
    private String payType;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getSellerId() {
        return sellerId;
    }

    public void setSellerId(String sellerId) {
        this.sellerId = sellerId;
    }

    public String getSellerName() {
        return sellerName;
    }

    public void setSellerName(String sellerName) {
        this.sellerName = sellerName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getTradeNo() {
        return tradeNo;
    }

    public void setTradeNo(String tradeNo) {
        this.tradeNo = tradeNo;
    }

    public BigDecimal getRealAmount() {
        return realAmount;
    }

    public void setRealAmount(BigDecimal realAmount) {
        this.realAmount = realAmount;
    }

    public String getTrueName() {
        return trueName;
    }

    public void setTrueName(String trueName) {
        this.trueName = trueName;
    }

    public String getIdCode() {
        return idCode;
    }

    public void setIdCode(String idCode) {
        this.idCode = idCode;
    }

    public String getIdType() {
        return idType;
    }

    public void setIdType(String idType) {
        this.idType = idType;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public LocalDateTime getPayTime() {
        return payTime;
    }

    public void setPayTime(LocalDateTime payTime) {
        this.payTime = payTime;
    }

    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType;
    }
}
