package com.emato.ccnet.mapper.ccnet;

import com.emato.ccnet.domain.ccnet.CusOrderGoods;
import com.emato.ccnet.domain.ccnet.CusOrderStatus;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface CusOrderStatusMapper {
    /**
     * 单个插入海关电子订单状态表
     * @param record
     * @return
     */
    int insert(CusOrderStatus record);

    int insertSelective(CusOrderStatus record);

    /**
     * 批量插入海关电子订单状态表
     * @param cusOrderStatues
     * @return
     */
    int insertCusOrderStatusItemBatch(List<CusOrderStatus> cusOrderStatues);

    /**
     * 批量更新海关电子订单状态表状态
     * @param list
     * @return
     */
    int updateCusOrderStatusBatch(List list);

    /**
     * 单个更新电子订单状态表
     * @param cusOrderStatus
     * @return
     */
    int updateCusOrderStatus(CusOrderStatus cusOrderStatus);

    /**
     * 通过电子订单编号查找电子订单
     * @param param
     * @return
     */
    CusOrderStatus findCusOrderStatus(Map<String, Object> param);
}