package com.emato.ccnet.mapper.ccnet;

import com.emato.ccnet.domain.ccnet.CusWaybillStatus;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface CusWaybillStatusMapper {
    /**
     * 单个插入海关运单状态
     * @param record
     * @return
     */
    int insert(CusWaybillStatus record);

    int insertSelective(CusWaybillStatus record);

    /**
     * 批量插入海关运单状态
     * @param cusWaybillStatues
     * @return
     */
    int insertCusWaybillStatusItemBatch(List<CusWaybillStatus> cusWaybillStatues);

    /**
     * 通过状态和内部订单编号查找海关运单数据
     * @param map
     * @return
     */
    CusWaybillStatus findCusWaybillStatus(Map<String, Object> map);

    /**
     * 更新海关运单数据
     * @param cusWaybillStatus
     * @return
     */
    int updateCusWaybillStatus(CusWaybillStatus cusWaybillStatus);

    /**
     * 批量更新状态
     * @param list
     * @return
     */
    int updateCusWaybillStatusBatch(List list);
}