package com.emato.ccnet.mapper.kmall;

import com.emato.ccnet.domain.kmall.OrderBill;
import com.emato.ccnet.domain.kmall.OrderGoods;
import com.emato.ccnet.domain.kmall.WayBill;
import com.emato.ccnet.domain.kmall.PayBill;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 海关三单
 *
 * @author Scott Chen
 * @version 1.0
 * 2017-11-04 16:55
 */
@Repository
public interface KmallOrderMapper {

    /**
     * 电子订单运单数据
     * @param param
     * @return
     */
    List<WayBill> getWaybills(Map<String, Object> param);

    /**
     * 支付单数据
     * @param param
     * @return
     */
    List<PayBill> getPayBills(Map<String, Object> param);

    List<PayBill> getIcbcPayBills(Map<String, Object> param);

    /**
     * 海关订单批量更新
     * @param list
     * @return
     */
    int updateCusKmallOrderStatusBatch(List list);

    /**
     * 电子订单数据
     */
    List<OrderBill> getOrderBills(Map<String, Object> param);

    /**
     * 单个更新海关订单状态
     * @param kmallMap
     * @return
     */
    int updateCusKmallOrderStatus(Map<String, Object> kmallMap);

    /**
     * 海关电子订单、海关运单商品明细
     * @param orderNo
     * @return
     */
    List<OrderGoods> getOrderGoods(String orderNo);
}
