package com.emato.ccnet.service.ccent.impl;

import com.emato.ccnet.config.Merchant;
import com.emato.ccnet.contants.Contants;
import com.emato.ccnet.domain.ccnet.CusWaybillResp;
import com.emato.ccnet.dto.BondedStockMerchantOrder;
import com.emato.ccnet.mapper.ccnet.CusWaybillRespMapper;
import com.emato.ccnet.message.Result;
import com.emato.ccnet.msg.ResponseMessage;
import com.emato.ccnet.service.ccent.CusWaybillRespService;
import com.emato.ccnet.snow.SnowflakeUtil;
import com.emato.ccnet.util.JacksonUtil;
import com.google.gson.Gson;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class CusWaybillRespImpl implements CusWaybillRespService{
    @Autowired
    private CusWaybillRespMapper cusWaybillRespMapper;

    @Autowired
    private Merchant merchant;

    /**
     * 新增oms响应数据
     * @param result
     * @return
     */
    @Override
    public int insertWaybillResp(ResponseMessage result, String cusWaybillSn) {
        Gson gson = new Gson();
        List<BondedStockMerchantOrder> BondedStockMerchantOrderList = null;
        if(ResponseMessage.isSuccess(result)){
            BondedStockMerchantOrderList = result.getData().getRows();
        }
        if(BondedStockMerchantOrderList == null){
            return 0;
        }

        BondedStockMerchantOrder bondedStockMerchantOrder = gson.fromJson(gson.toJson(BondedStockMerchantOrderList.get(0)), BondedStockMerchantOrder.class);
        if(bondedStockMerchantOrder == null){
            return 0;
        }

        CusWaybillResp cusWaybillResp = new CusWaybillResp();
        String cusWaybillRespSn = Contants.ZWSH + SnowflakeUtil.getSnowNextId();
        cusWaybillResp.setCusWaybillRespSn(cusWaybillRespSn);
        cusWaybillResp.setCusWaybillSn(cusWaybillSn);
        cusWaybillResp.setMerchOrderSn(bondedStockMerchantOrder.getMerchOrderId());
        cusWaybillResp.setMerchSn(bondedStockMerchantOrder.getMerchId());
        cusWaybillResp.setMerchName(bondedStockMerchantOrder.getMerchName());
        cusWaybillResp.setPlatSn(bondedStockMerchantOrder.getPlatSn());
        cusWaybillResp.setPlatName(merchant.getPlatSn());
        cusWaybillResp.setThirdPartyMerchCode(bondedStockMerchantOrder.getThirdPartyMerchCode());
        cusWaybillResp.setThirdPartyMerchName(bondedStockMerchantOrder.getThirdPartyMerchName());
        cusWaybillResp.setBizInfoCode(result.getCode());
        cusWaybillResp.setBizInfoDesc(result.getMsg());
        cusWaybillResp.setCreaterSn(Contants.CREATER_NUMBER);
        cusWaybillResp.setCreateTime(new Date());
      if(cusWaybillRespMapper.insertSelective(cusWaybillResp) <= 0){
          return 0;
      }
        return 1;
    }
}
