package com.emato.ccnet.service.kmall.impl;

import com.emato.ccnet.domain.kmall.OrderBill;
import com.emato.ccnet.domain.kmall.WayBill;
import com.emato.ccnet.domain.kmall.PayBill;
import com.emato.ccnet.mapper.kmall.KmallOrderMapper;
import com.emato.ccnet.service.kmall.KmallOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 海关三单
 * @author Scott Chen
 * @version 1.0
 * 2017-11-04 17:54
 */
@Service
public class KmallOrderServiceImpl implements KmallOrderService {

    @Autowired
    private KmallOrderMapper kmallOrderMapper;

    /**
     * 电子订单运单数据
     * @param param
     * @return
     */
    @Override
    public List<WayBill> getWaybills(Map<String, Object> param) {
        return kmallOrderMapper.getWaybills(param);
    }

    /**
     * 支付单数据
     * @param param
     * @return
     */
    @Override
    public List<PayBill> getPayBills(Map<String, Object> param) {
        return kmallOrderMapper.getPayBills(param);
    }

    @Override
    public List<PayBill> getIcbcPayBills(Map<String, Object> param) {
        return kmallOrderMapper.getIcbcPayBills(param);
    }

    /**
     * 海关订单批量更新
     * @param list
     * @return
     */
    @Override
    public int updateCusKmallOrderStatusBatch(List list) {
        return kmallOrderMapper.updateCusKmallOrderStatusBatch(list);
    }

    /**
     * 电子订单数据
     * @param param
     * @return
     */
    @Override
    public List<OrderBill> getOrderBill(Map<String, Object> param) {
        return kmallOrderMapper.getOrderBills(param);
    }

    /**
     * 单个更新海关订单状态
     * @param kmallMap
     * @return
     */
    @Override
    public int updateCusKmallOrderStatus(Map<String, Object> kmallMap) {
        return kmallOrderMapper.updateCusKmallOrderStatus(kmallMap);
    }
}
