package com.emato.ccnet.snow;

import com.emato.ccnet.config.DistributedSystem;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 雪花算法生成ID
 *
 * @author Scott Chen
 * @version 1.0
 * 2017-11-26 16:06
 */
@Configuration
public class SnowflakeConfig {

    @Autowired
    DistributedSystem distributedSystem;

    @Bean
    public SnowflakeIdWorker snowflakeIdWorker() {
        return new SnowflakeIdWorker(
                distributedSystem.getWorkerId(),
                distributedSystem.getDatacenterId()
        );
    }

}
