package com.emato.ccnet.snow;

import com.emato.ccnet.util.SpringContextUtil;

/**
 * @author Scott Chen
 * @since 1.0
 * 2018-01-08 11:19
 */
public class SnowflakeUtil {

    private static final ThreadLocal<SnowflakeIdWorker> snowflakeIdWorkerThreadLocal = new ThreadLocal<>();
    private static final ThreadLocal<SnowflakeUtil> snowflakeUtilThreadLocal = new ThreadLocal<>();

    private SnowflakeUtil() {
        throw new RuntimeException("Illegal instance SnowflakeUtil");
    }

    private static SnowflakeUtil instance() {
        SnowflakeUtil snowflakeUtil = snowflakeUtilThreadLocal.get();
        if (snowflakeUtil == null) {
            snowflakeUtil = SpringContextUtil.getBean("snowflakeUtil");
            snowflakeUtilThreadLocal.set(snowflakeUtil);
        }
        return snowflakeUtil;
    }

    private static SnowflakeIdWorker snowWorkerInstance() {
        SnowflakeIdWorker snowflakeIdWorker = snowflakeIdWorkerThreadLocal.get();
        if (snowflakeIdWorker == null) {
            snowflakeIdWorker = SpringContextUtil.getBean("snowflakeIdWorker");
            snowflakeIdWorkerThreadLocal.set(snowflakeIdWorker);
        }
        return snowflakeIdWorker;
    }

    public static long getSnowNextId() {
        return snowWorkerInstance().nextId();
    }

}
